ome-xml 5.2.3

Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
ome::xml::meta::Metadata Class Reference

Abstract class for metadata storage and retrieval. More...

`#include <ome/xml/meta/Metadata.h>`

Inheritance diagram for ome::xml::meta::Metadata:
[legend]
Collaboration diagram for ome::xml::meta::Metadata:
[legend]

## Public Member Functions
virtual | ~Metadata ()
| Destructor.
Public Member Functions inherited from ome::xml::meta::MetadataRetrieve
virtual | ~MetadataRetrieve ()
| Destructor.
virtual index_type | getBooleanAnnotationAnnotationCount (index_type booleanAnnotationIndex) const =0
| Get the number of links to a BooleanAnnotation. More...
virtual index_type | getCommentAnnotationAnnotationCount (index_type commentAnnotationIndex) const =0
| Get the number of links to a CommentAnnotation. More...
virtual index_type | getDoubleAnnotationAnnotationCount (index_type doubleAnnotationIndex) const =0
| Get the number of links to a DoubleAnnotation. More...
virtual index_type | getFileAnnotationAnnotationCount (index_type fileAnnotationIndex) const =0
| Get the number of links to a FileAnnotation. More...
virtual index_type | getListAnnotationAnnotationCount (index_type listAnnotationIndex) const =0
| Get the number of links to a ListAnnotation. More...
virtual index_type | getLongAnnotationAnnotationCount (index_type longAnnotationIndex) const =0
| Get the number of links to a LongAnnotation. More...
virtual index_type | getMapAnnotationAnnotationCount (index_type mapAnnotationIndex) const =0
| Get the number of links to a MapAnnotation. More...
virtual index_type | getTagAnnotationAnnotationCount (index_type tagAnnotationIndex) const =0
| Get the number of links to a TagAnnotation. More...
virtual index_type | getTermAnnotationAnnotationCount (index_type termAnnotationIndex) const =0
| Get the number of links to a TermAnnotation. More...
virtual index_type | getTimestampAnnotationAnnotationCount (index_type timestampAnnotationIndex) const =0
| Get the number of links to a TimestampAnnotation. More...
virtual index_type | getXMLAnnotationAnnotationCount (index_type xmlAnnotationIndex) const =0
| Get the number of links to an XMLAnnotation. More...
virtual const std::string & | getLightSourceType (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the type of a LightSource. More...
virtual index_type | getLightSourceCount (index_type instrumentIndex) const =0
| Get the number of LightSource elements. More...
virtual const std::string & | getShapeType (index_type ROIIndex, index_type shapeIndex) const =0
| Get the type of a Shape. More...
virtual index_type | getShapeCount (index_type ROIIndex) const =0
| Get the number of Shape elements. More...
virtual index_type | getLightSourceAnnotationRefCount (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the number of AnnotationRef elements in LightSource. More...
virtual index_type | getInstrumentAnnotationRefCount (index_type instrumentIndex) const =0
| Get the number of AnnotationRef elements in Instrument. More...
virtual index_type | getObjectiveAnnotationRefCount (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the number of AnnotationRef elements in Objective. More...
virtual index_type | getFolderAnnotationRefCount (index_type folderIndex) const =0
| Get the number of AnnotationRef elements in Folder. More...
virtual index_type | getDetectorAnnotationRefCount (index_type instrumentIndex, index_type detectorIndex) const =0
| Get the number of AnnotationRef elements in Detector. More...
virtual index_type | getChannelAnnotationRefCount (index_type imageIndex, index_type channelIndex) const =0
| Get the number of AnnotationRef elements in Channel. More...
virtual index_type | getPlateAnnotationRefCount (index_type plateIndex) const =0
| Get the number of AnnotationRef elements in Plate. More...
virtual index_type | getExperimenterGroupAnnotationRefCount (index_type experimenterGroupIndex) const =0
| Get the number of AnnotationRef elements in ExperimenterGroup. More...
virtual index_type | getScreenAnnotationRefCount (index_type screenIndex) const =0
| Get the number of AnnotationRef elements in Screen. More...
virtual index_type | getReagentAnnotationRefCount (index_type screenIndex, index_type reagentIndex) const =0
| Get the number of AnnotationRef elements in Reagent. More...
virtual index_type | getPlaneAnnotationRefCount (index_type imageIndex, index_type planeIndex) const =0
| Get the number of AnnotationRef elements in Plane. More...
virtual index_type | getExperimenterAnnotationRefCount (index_type experimenterIndex) const =0
| Get the number of AnnotationRef elements in Experimenter. More...
virtual index_type | getDichroicAnnotationRefCount (index_type instrumentIndex, index_type dichroicIndex) const =0
| Get the number of AnnotationRef elements in Dichroic. More...
virtual index_type | getWellAnnotationRefCount (index_type plateIndex, index_type wellIndex) const =0
| Get the number of AnnotationRef elements in Well. More...
virtual index_type | getFilterAnnotationRefCount (index_type instrumentIndex, index_type filterIndex) const =0
| Get the number of AnnotationRef elements in Filter. More...
virtual index_type | getPlateAcquisitionAnnotationRefCount (index_type plateIndex, index_type plateAcquisitionIndex) const =0
| Get the number of AnnotationRef elements in PlateAcquisition. More...
virtual index_type | getROIAnnotationRefCount (index_type ROIIndex) const =0
| Get the number of AnnotationRef elements in ROI. More...
virtual index_type | getProjectAnnotationRefCount (index_type projectIndex) const =0
| Get the number of AnnotationRef elements in Project. More...
virtual index_type | getLightPathAnnotationRefCount (index_type imageIndex, index_type channelIndex) const =0
| Get the number of AnnotationRef elements in LightPath. More...
virtual index_type | getImageAnnotationRefCount (index_type imageIndex) const =0
| Get the number of AnnotationRef elements in Image. More...
virtual index_type | getDatasetAnnotationRefCount (index_type datasetIndex) const =0
| Get the number of AnnotationRef elements in Dataset. More...
virtual index_type | getShapeAnnotationRefCount (index_type ROIIndex, index_type shapeIndex) const =0
| Get the number of AnnotationRef elements in Shape. More...
virtual index_type | getPixelsBinDataCount (index_type imageIndex) const =0
| Get the number of BinData elements in Pixels. More...
virtual index_type | getBooleanAnnotationCount () const =0
| Get the number of BooleanAnnotation elements. More...
virtual index_type | getChannelCount (index_type imageIndex) const =0
| Get the number of Channel elements. More...
virtual index_type | getCommentAnnotationCount () const =0
| Get the number of CommentAnnotation elements. More...
virtual index_type | getDatasetCount () const =0
| Get the number of Dataset elements. More...
virtual index_type | getDatasetRefCount (index_type projectIndex) const =0
| Get the number of DatasetRef elements. More...
virtual index_type | getDetectorCount (index_type instrumentIndex) const =0
| Get the number of Detector elements. More...
virtual index_type | getDichroicCount (index_type instrumentIndex) const =0
| Get the number of Dichroic elements. More...
virtual index_type | getDoubleAnnotationCount () const =0
| Get the number of DoubleAnnotation elements. More...
virtual index_type | getLightPathEmissionFilterRefCount (index_type imageIndex, index_type channelIndex) const =0
| Get the number of EmissionFilterRef elements in LightPath. More...
virtual index_type | getFilterSetEmissionFilterRefCount (index_type instrumentIndex, index_type filterSetIndex) const =0
| Get the number of EmissionFilterRef elements in FilterSet. More...
virtual index_type | getLightPathExcitationFilterRefCount (index_type imageIndex, index_type channelIndex) const =0
| Get the number of ExcitationFilterRef elements in LightPath. More...
virtual index_type | getFilterSetExcitationFilterRefCount (index_type instrumentIndex, index_type filterSetIndex) const =0
| Get the number of ExcitationFilterRef elements in FilterSet. More...
virtual index_type | getExperimentCount () const =0
| Get the number of Experiment elements. More...
virtual index_type | getExperimenterCount () const =0
| Get the number of Experimenter elements. More...
virtual index_type | getExperimenterGroupCount () const =0
| Get the number of ExperimenterGroup elements. More...
virtual index_type | getExperimenterGroupExperimenterRefCount (index_type experimenterGroupIndex) const =0
| Get the number of ExperimenterRef elements in ExperimenterGroup. More...
virtual index_type | getFileAnnotationCount () const =0
| Get the number of FileAnnotation elements. More...
virtual index_type | getFilterCount (index_type instrumentIndex) const =0
| Get the number of Filter elements. More...
virtual index_type | getFilterSetCount (index_type instrumentIndex) const =0
| Get the number of FilterSet elements. More...
virtual index_type | getFolderCount () const =0
| Get the number of Folder elements. More...
virtual index_type | getFolderRefCount (index_type folderIndex) const =0
| Get the number of FolderRef elements. More...
virtual index_type | getImageCount () const =0
| Get the number of Image elements. More...
virtual index_type | getFolderImageRefCount (index_type folderIndex) const =0
| Get the number of ImageRef elements in Folder. More...
virtual index_type | getDatasetImageRefCount (index_type datasetIndex) const =0
| Get the number of ImageRef elements in Dataset. More...
virtual index_type | getInstrumentCount () const =0
| Get the number of Instrument elements. More...
virtual index_type | getLeaderCount (index_type experimenterGroupIndex) const =0
| Get the number of Leader elements. More...
virtual index_type | getMicrobeamManipulationLightSourceSettingsCount (index_type experimentIndex, index_type microbeamManipulationIndex) const =0
| Get the number of LightSourceSettings elements in MicrobeamManipulation. More...
virtual index_type | getListAnnotationCount () const =0
| Get the number of ListAnnotation elements. More...
virtual index_type | getLongAnnotationCount () const =0
| Get the number of LongAnnotation elements. More...
virtual index_type | getMapAnnotationCount () const =0
| Get the number of MapAnnotation elements. More...
virtual index_type | getMicrobeamManipulationCount (index_type experimentIndex) const =0
| Get the number of MicrobeamManipulation elements. More...
virtual index_type | getMicrobeamManipulationRefCount (index_type imageIndex) const =0
| Get the number of MicrobeamManipulationRef elements. More...
virtual index_type | getObjectiveCount (index_type instrumentIndex) const =0
| Get the number of Objective elements. More...
virtual index_type | getPlaneCount (index_type imageIndex) const =0
| Get the number of Plane elements. More...
virtual index_type | getPlateCount () const =0
| Get the number of Plate elements. More...
virtual index_type | getPlateAcquisitionCount (index_type plateIndex) const =0
| Get the number of PlateAcquisition elements. More...
virtual index_type | getPlateRefCount (index_type screenIndex) const =0
| Get the number of PlateRef elements. More...
virtual index_type | getProjectCount () const =0
| Get the number of Project elements. More...
virtual index_type | getROICount () const =0
| Get the number of ROI elements. More...
virtual index_type | getImageROIRefCount (index_type imageIndex) const =0
| Get the number of ROIRef elements in Image. More...
virtual index_type | getFolderROIRefCount (index_type folderIndex) const =0
| Get the number of ROIRef elements in Folder. More...
virtual index_type | getMicrobeamManipulationROIRefCount (index_type experimentIndex, index_type microbeamManipulationIndex) const =0
| Get the number of ROIRef elements in MicrobeamManipulation. More...
virtual index_type | getReagentCount (index_type screenIndex) const =0
| Get the number of Reagent elements. More...
virtual index_type | getScreenCount () const =0
| Get the number of Screen elements. More...
virtual index_type | getTagAnnotationCount () const =0
| Get the number of TagAnnotation elements. More...
virtual index_type | getTermAnnotationCount () const =0
| Get the number of TermAnnotation elements. More...
virtual index_type | getTiffDataCount (index_type imageIndex) const =0
| Get the number of TiffData elements. More...
virtual index_type | getTimestampAnnotationCount () const =0
| Get the number of TimestampAnnotation elements. More...
virtual std::string | getUUIDValue (index_type imageIndex, index_type tiffDataIndex) const =0
| Get the text value of UUID. More...
virtual index_type | getWellCount (index_type plateIndex) const =0
| Get the number of Well elements. More...
virtual index_type | getWellSampleCount (index_type plateIndex, index_type wellIndex) const =0
| Get the number of WellSample elements. More...
virtual index_type | getWellSampleRefCount (index_type plateIndex, index_type plateAcquisitionIndex) const =0
| Get the number of WellSampleRef elements. More...
virtual index_type | getXMLAnnotationCount () const =0
| Get the number of XMLAnnotation elements. More...
virtual const std::string & | getUUID () const =0
| Get the UUID associated with this collection of metadata. More...
virtual const ome::xml::model::primitives::OrderedMultimap & | getMapAnnotationValue (index_type mapAnnotationIndex) const =0
| Get the map value of MapAnnotation. More...
virtual const ome::xml::model::primitives::OrderedMultimap & | getGenericExcitationSourceMap (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the map value of GenericExcitationSource. More...
virtual const ome::xml::model::primitives::OrderedMultimap & | getImagingEnvironmentMap (index_type imageIndex) const =0
| Get the map value of ImagingEnvironment. More...
virtual const std::string & | getArcAnnotationRef (index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Arc. More...
virtual const std::string & | getArcID (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the ID property of Arc. More...
virtual const std::string & | getArcLotNumber (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the LotNumber property of Arc. More...
virtual const std::string & | getArcManufacturer (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Manufacturer property of Arc. More...
virtual const std::string & | getArcModel (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Model property of Arc. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > | getArcPower (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Power property of Arc. More...
virtual const std::string & | getArcSerialNumber (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the SerialNumber property of Arc. More...
virtual ome::xml::model::enums::ArcType | getArcType (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Type property of Arc. More...
virtual const std::vector< uint8_t > & | getBinaryFileBinData (index_type fileAnnotationIndex) const =0
| Get the Base64Binary property of BinData. More...
virtual const std::vector< uint8_t > & | getMaskBinData (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Base64Binary property of BinData. More...
virtual const std::vector< uint8_t > & | getPixelsBinData (index_type imageIndex, index_type binDataIndex) const =0
| Get the Base64Binary property of BinData. More...
virtual bool | getBinaryFileBinDataBigEndian (index_type fileAnnotationIndex) const =0
| Get the BigEndian property of BinData. More...
virtual bool | getMaskBinDataBigEndian (index_type ROIIndex, index_type shapeIndex) const =0
| Get the BigEndian property of BinData. More...
virtual bool | getPixelsBinDataBigEndian (index_type imageIndex, index_type binDataIndex) const =0
| Get the BigEndian property of BinData. More...
virtual ome::xml::model::enums::Compression | getBinaryFileBinDataCompression (index_type fileAnnotationIndex) const =0
| Get the Compression property of BinData. More...
virtual ome::xml::model::enums::Compression | getMaskBinDataCompression (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Compression property of BinData. More...
virtual ome::xml::model::enums::Compression | getPixelsBinDataCompression (index_type imageIndex, index_type binDataIndex) const =0
| Get the Compression property of BinData. More...
virtual ome::xml::model::primitives::NonNegativeLong | getBinaryFileBinDataLength (index_type fileAnnotationIndex) const =0
| Get the Length property of BinData. More...
virtual ome::xml::model::primitives::NonNegativeLong | getMaskBinDataLength (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Length property of BinData. More...
virtual ome::xml::model::primitives::NonNegativeLong | getPixelsBinDataLength (index_type imageIndex, index_type binDataIndex) const =0
| Get the Length property of BinData. More...
virtual const std::string & | getBinaryFileFileName (index_type fileAnnotationIndex) const =0
| Get the FileName property of BinaryFile. More...
virtual const std::string & | getBinaryFileMIMEType (index_type fileAnnotationIndex) const =0
| Get the MIMEType property of BinaryFile. More...
virtual ome::xml::model::primitives::NonNegativeLong | getBinaryFileSize (index_type fileAnnotationIndex) const =0
| Get the Size property of BinaryFile. More...
virtual const std::string & | getBinaryOnlyMetadataFile () const =0
| Get the MetadataFile property of BinaryOnly. More...
virtual const std::string & | getBinaryOnlyUUID () const =0
| Get the UUID property of BinaryOnly. More...
virtual const std::string & | getBooleanAnnotationAnnotationRef (index_type booleanAnnotationIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of BooleanAnnotation. More...
virtual const std::string & | getBooleanAnnotationAnnotator (index_type booleanAnnotationIndex) const =0
| Get the Annotator property of BooleanAnnotation. More...
virtual const std::string & | getBooleanAnnotationDescription (index_type booleanAnnotationIndex) const =0
| Get the Description property of BooleanAnnotation. More...
virtual const std::string & | getBooleanAnnotationID (index_type booleanAnnotationIndex) const =0
| Get the ID property of BooleanAnnotation. More...
virtual const std::string & | getBooleanAnnotationNamespace (index_type booleanAnnotationIndex) const =0
| Get the Namespace property of BooleanAnnotation. More...
virtual bool | getBooleanAnnotationValue (index_type booleanAnnotationIndex) const =0
| Get the Value property of BooleanAnnotation. More...
virtual ome::xml::model::enums::AcquisitionMode | getChannelAcquisitionMode (index_type imageIndex, index_type channelIndex) const =0
| Get the AcquisitionMode property of Channel. More...
virtual const std::string & | getChannelAnnotationRef (index_type imageIndex, index_type channelIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Channel. More...
virtual ome::xml::model::primitives::Color | getChannelColor (index_type imageIndex, index_type channelIndex) const =0
| Get the Color property of Channel. More...
virtual ome::xml::model::enums::ContrastMethod | getChannelContrastMethod (index_type imageIndex, index_type channelIndex) const =0
| Get the ContrastMethod property of Channel. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | getChannelEmissionWavelength (index_type imageIndex, index_type channelIndex) const =0
| Get the EmissionWavelength property of Channel. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | getChannelExcitationWavelength (index_type imageIndex, index_type channelIndex) const =0
| Get the ExcitationWavelength property of Channel. More...
virtual const std::string & | getChannelFilterSetRef (index_type imageIndex, index_type channelIndex) const =0
| Get the FilterSetRef property of Channel. More...
virtual const std::string & | getChannelFluor (index_type imageIndex, index_type channelIndex) const =0
| Get the Fluor property of Channel. More...
virtual const std::string & | getChannelID (index_type imageIndex, index_type channelIndex) const =0
| Get the ID property of Channel. More...
virtual ome::xml::model::enums::IlluminationType | getChannelIlluminationType (index_type imageIndex, index_type channelIndex) const =0
| Get the IlluminationType property of Channel. More...
virtual double | getChannelNDFilter (index_type imageIndex, index_type channelIndex) const =0
| Get the NDFilter property of Channel. More...
virtual const std::string & | getChannelName (index_type imageIndex, index_type channelIndex) const =0
| Get the Name property of Channel. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getChannelPinholeSize (index_type imageIndex, index_type channelIndex) const =0
| Get the PinholeSize property of Channel. More...
virtual int32_t | getChannelPockelCellSetting (index_type imageIndex, index_type channelIndex) const =0
| Get the PockelCellSetting property of Channel. More...
virtual ome::xml::model::primitives::PositiveInteger | getChannelSamplesPerPixel (index_type imageIndex, index_type channelIndex) const =0
| Get the SamplesPerPixel property of Channel. More...
virtual const std::string & | getCommentAnnotationAnnotationRef (index_type commentAnnotationIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of CommentAnnotation. More...
virtual const std::string & | getCommentAnnotationAnnotator (index_type commentAnnotationIndex) const =0
| Get the Annotator property of CommentAnnotation. More...
virtual const std::string & | getCommentAnnotationDescription (index_type commentAnnotationIndex) const =0
| Get the Description property of CommentAnnotation. More...
virtual const std::string & | getCommentAnnotationID (index_type commentAnnotationIndex) const =0
| Get the ID property of CommentAnnotation. More...
virtual const std::string & | getCommentAnnotationNamespace (index_type commentAnnotationIndex) const =0
| Get the Namespace property of CommentAnnotation. More...
virtual const std::string & | getCommentAnnotationValue (index_type commentAnnotationIndex) const =0
| Get the Value property of CommentAnnotation. More...
virtual const std::string & | getDatasetAnnotationRef (index_type datasetIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Dataset. More...
virtual const std::string & | getDatasetDescription (index_type datasetIndex) const =0
| Get the Description property of Dataset. More...
virtual const std::string & | getDatasetExperimenterGroupRef (index_type datasetIndex) const =0
| Get the ExperimenterGroupRef property of Dataset. More...
virtual const std::string & | getDatasetExperimenterRef (index_type datasetIndex) const =0
| Get the ExperimenterRef property of Dataset. More...
virtual const std::string & | getDatasetID (index_type datasetIndex) const =0
| Get the ID property of Dataset. More...
virtual const std::string & | getDatasetImageRef (index_type datasetIndex, index_type imageRefIndex) const =0
| Get the ImageRef property of Dataset. More...
virtual const std::string & | getDatasetName (index_type datasetIndex) const =0
| Get the Name property of Dataset. More...
virtual double | getDetectorAmplificationGain (index_type instrumentIndex, index_type detectorIndex) const =0
| Get the AmplificationGain property of Detector. More...
virtual const std::string & | getDetectorAnnotationRef (index_type instrumentIndex, index_type detectorIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Detector. More...
virtual double | getDetectorGain (index_type instrumentIndex, index_type detectorIndex) const =0
| Get the Gain property of Detector. More...
virtual const std::string & | getDetectorID (index_type instrumentIndex, index_type detectorIndex) const =0
| Get the ID property of Detector. More...
virtual const std::string & | getDetectorLotNumber (index_type instrumentIndex, index_type detectorIndex) const =0
| Get the LotNumber property of Detector. More...
virtual const std::string & | getDetectorManufacturer (index_type instrumentIndex, index_type detectorIndex) const =0
| Get the Manufacturer property of Detector. More...
virtual const std::string & | getDetectorModel (index_type instrumentIndex, index_type detectorIndex) const =0
| Get the Model property of Detector. More...
virtual double | getDetectorOffset (index_type instrumentIndex, index_type detectorIndex) const =0
| Get the Offset property of Detector. More...
virtual const std::string & | getDetectorSerialNumber (index_type instrumentIndex, index_type detectorIndex) const =0
| Get the SerialNumber property of Detector. More...
virtual ome::xml::model::enums::DetectorType | getDetectorType (index_type instrumentIndex, index_type detectorIndex) const =0
| Get the Type property of Detector. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsElectricPotential > | getDetectorVoltage (index_type instrumentIndex, index_type detectorIndex) const =0
| Get the Voltage property of Detector. More...
virtual double | getDetectorZoom (index_type instrumentIndex, index_type detectorIndex) const =0
| Get the Zoom property of Detector. More...
virtual ome::xml::model::enums::Binning | getDetectorSettingsBinning (index_type imageIndex, index_type channelIndex) const =0
| Get the Binning property of DetectorSettings. More...
virtual double | getDetectorSettingsGain (index_type imageIndex, index_type channelIndex) const =0
| Get the Gain property of DetectorSettings. More...
virtual const std::string & | getDetectorSettingsID (index_type imageIndex, index_type channelIndex) const =0
| Get the ID property of DetectorSettings. More...
virtual ome::xml::model::primitives::PositiveInteger | getDetectorSettingsIntegration (index_type imageIndex, index_type channelIndex) const =0
| Get the Integration property of DetectorSettings. More...
virtual double | getDetectorSettingsOffset (index_type imageIndex, index_type channelIndex) const =0
| Get the Offset property of DetectorSettings. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsFrequency > | getDetectorSettingsReadOutRate (index_type imageIndex, index_type channelIndex) const =0
| Get the ReadOutRate property of DetectorSettings. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsElectricPotential > | getDetectorSettingsVoltage (index_type imageIndex, index_type channelIndex) const =0
| Get the Voltage property of DetectorSettings. More...
virtual double | getDetectorSettingsZoom (index_type imageIndex, index_type channelIndex) const =0
| Get the Zoom property of DetectorSettings. More...
virtual const std::string & | getDichroicAnnotationRef (index_type instrumentIndex, index_type dichroicIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Dichroic. More...
virtual const std::string & | getDichroicID (index_type instrumentIndex, index_type dichroicIndex) const =0
| Get the ID property of Dichroic. More...
virtual const std::string & | getDichroicLotNumber (index_type instrumentIndex, index_type dichroicIndex) const =0
| Get the LotNumber property of Dichroic. More...
virtual const std::string & | getDichroicManufacturer (index_type instrumentIndex, index_type dichroicIndex) const =0
| Get the Manufacturer property of Dichroic. More...
virtual const std::string & | getDichroicModel (index_type instrumentIndex, index_type dichroicIndex) const =0
| Get the Model property of Dichroic. More...
virtual const std::string & | getDichroicSerialNumber (index_type instrumentIndex, index_type dichroicIndex) const =0
| Get the SerialNumber property of Dichroic. More...
virtual const std::string & | getDoubleAnnotationAnnotationRef (index_type doubleAnnotationIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of DoubleAnnotation. More...
virtual const std::string & | getDoubleAnnotationAnnotator (index_type doubleAnnotationIndex) const =0
| Get the Annotator property of DoubleAnnotation. More...
virtual const std::string & | getDoubleAnnotationDescription (index_type doubleAnnotationIndex) const =0
| Get the Description property of DoubleAnnotation. More...
virtual const std::string & | getDoubleAnnotationID (index_type doubleAnnotationIndex) const =0
| Get the ID property of DoubleAnnotation. More...
virtual const std::string & | getDoubleAnnotationNamespace (index_type doubleAnnotationIndex) const =0
| Get the Namespace property of DoubleAnnotation. More...
virtual double | getDoubleAnnotationValue (index_type doubleAnnotationIndex) const =0
| Get the Value property of DoubleAnnotation. More...
virtual const std::string & | getEllipseAnnotationRef (index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Ellipse. More...
virtual ome::xml::model::primitives::Color | getEllipseFillColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillColor property of Ellipse. More...
virtual ome::xml::model::enums::FillRule | getEllipseFillRule (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillRule property of Ellipse. More...
virtual ome::xml::model::enums::FontFamily | getEllipseFontFamily (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontFamily property of Ellipse. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | getEllipseFontSize (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontSize property of Ellipse. More...
virtual ome::xml::model::enums::FontStyle | getEllipseFontStyle (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontStyle property of Ellipse. More...
virtual const std::string & | getEllipseID (index_type ROIIndex, index_type shapeIndex) const =0
| Get the ID property of Ellipse. More...
virtual bool | getEllipseLocked (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Locked property of Ellipse. More...
virtual double | getEllipseRadiusX (index_type ROIIndex, index_type shapeIndex) const =0
| Get the RadiusX property of Ellipse. More...
virtual double | getEllipseRadiusY (index_type ROIIndex, index_type shapeIndex) const =0
| Get the RadiusY property of Ellipse. More...
virtual ome::xml::model::primitives::Color | getEllipseStrokeColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeColor property of Ellipse. More...
virtual const std::string & | getEllipseStrokeDashArray (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeDashArray property of Ellipse. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getEllipseStrokeWidth (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeWidth property of Ellipse. More...
virtual const std::string & | getEllipseText (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Text property of Ellipse. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getEllipseTheC (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheC property of Ellipse. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getEllipseTheT (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheT property of Ellipse. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getEllipseTheZ (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheZ property of Ellipse. More...
virtual const ::ome::xml::model::AffineTransform & | getEllipseTransform (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Transform property of Ellipse. More...
virtual double | getEllipseX (index_type ROIIndex, index_type shapeIndex) const =0
| Get the X property of Ellipse. More...
virtual double | getEllipseY (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Y property of Ellipse. More...
virtual const std::string & | getExperimentDescription (index_type experimentIndex) const =0
| Get the Description property of Experiment. More...
virtual const std::string & | getExperimentExperimenterRef (index_type experimentIndex) const =0
| Get the ExperimenterRef property of Experiment. More...
virtual const std::string & | getExperimentID (index_type experimentIndex) const =0
| Get the ID property of Experiment. More...
virtual ome::xml::model::enums::ExperimentType | getExperimentType (index_type experimentIndex) const =0
| Get the Type property of Experiment. More...
virtual const std::string & | getExperimenterAnnotationRef (index_type experimenterIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Experimenter. More...
virtual const std::string & | getExperimenterEmail (index_type experimenterIndex) const =0
| Get the Email property of Experimenter. More...
virtual const std::string & | getExperimenterFirstName (index_type experimenterIndex) const =0
| Get the FirstName property of Experimenter. More...
virtual const std::string & | getExperimenterID (index_type experimenterIndex) const =0
| Get the ID property of Experimenter. More...
virtual const std::string & | getExperimenterInstitution (index_type experimenterIndex) const =0
| Get the Institution property of Experimenter. More...
virtual const std::string & | getExperimenterLastName (index_type experimenterIndex) const =0
| Get the LastName property of Experimenter. More...
virtual const std::string & | getExperimenterMiddleName (index_type experimenterIndex) const =0
| Get the MiddleName property of Experimenter. More...
virtual const std::string & | getExperimenterUserName (index_type experimenterIndex) const =0
| Get the UserName property of Experimenter. More...
virtual const std::string & | getExperimenterGroupAnnotationRef (index_type experimenterGroupIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of ExperimenterGroup. More...
virtual const std::string & | getExperimenterGroupDescription (index_type experimenterGroupIndex) const =0
| Get the Description property of ExperimenterGroup. More...
virtual const std::string & | getExperimenterGroupExperimenterRef (index_type experimenterGroupIndex, index_type experimenterRefIndex) const =0
| Get the ExperimenterRef property of ExperimenterGroup. More...
virtual const std::string & | getExperimenterGroupID (index_type experimenterGroupIndex) const =0
| Get the ID property of ExperimenterGroup. More...
virtual const std::string & | getExperimenterGroupLeader (index_type experimenterGroupIndex, index_type leaderIndex) const =0
| Get the Leader property of ExperimenterGroup. More...
virtual const std::string & | getExperimenterGroupName (index_type experimenterGroupIndex) const =0
| Get the Name property of ExperimenterGroup. More...
virtual const std::string & | getFilamentAnnotationRef (index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Filament. More...
virtual const std::string & | getFilamentID (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the ID property of Filament. More...
virtual const std::string & | getFilamentLotNumber (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the LotNumber property of Filament. More...
virtual const std::string & | getFilamentManufacturer (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Manufacturer property of Filament. More...
virtual const std::string & | getFilamentModel (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Model property of Filament. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > | getFilamentPower (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Power property of Filament. More...
virtual const std::string & | getFilamentSerialNumber (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the SerialNumber property of Filament. More...
virtual ome::xml::model::enums::FilamentType | getFilamentType (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Type property of Filament. More...
virtual const std::string & | getFileAnnotationAnnotationRef (index_type fileAnnotationIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of FileAnnotation. More...
virtual const std::string & | getFileAnnotationAnnotator (index_type fileAnnotationIndex) const =0
| Get the Annotator property of FileAnnotation. More...
virtual const std::string & | getFileAnnotationDescription (index_type fileAnnotationIndex) const =0
| Get the Description property of FileAnnotation. More...
virtual const std::string & | getFileAnnotationID (index_type fileAnnotationIndex) const =0
| Get the ID property of FileAnnotation. More...
virtual const std::string & | getFileAnnotationNamespace (index_type fileAnnotationIndex) const =0
| Get the Namespace property of FileAnnotation. More...
virtual const std::string & | getFilterAnnotationRef (index_type instrumentIndex, index_type filterIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Filter. More...
virtual const std::string & | getFilterFilterWheel (index_type instrumentIndex, index_type filterIndex) const =0
| Get the FilterWheel property of Filter. More...
virtual const std::string & | getFilterID (index_type instrumentIndex, index_type filterIndex) const =0
| Get the ID property of Filter. More...
virtual const std::string & | getFilterLotNumber (index_type instrumentIndex, index_type filterIndex) const =0
| Get the LotNumber property of Filter. More...
virtual const std::string & | getFilterManufacturer (index_type instrumentIndex, index_type filterIndex) const =0
| Get the Manufacturer property of Filter. More...
virtual const std::string & | getFilterModel (index_type instrumentIndex, index_type filterIndex) const =0
| Get the Model property of Filter. More...
virtual const std::string & | getFilterSerialNumber (index_type instrumentIndex, index_type filterIndex) const =0
| Get the SerialNumber property of Filter. More...
virtual ome::xml::model::enums::FilterType | getFilterType (index_type instrumentIndex, index_type filterIndex) const =0
| Get the Type property of Filter. More...
virtual const std::string & | getFilterSetDichroicRef (index_type instrumentIndex, index_type filterSetIndex) const =0
| Get the DichroicRef property of FilterSet. More...
virtual const std::string & | getFilterSetEmissionFilterRef (index_type instrumentIndex, index_type filterSetIndex, index_type emissionFilterRefIndex) const =0
| Get the EmissionFilterRef property of FilterSet. More...
virtual const std::string & | getFilterSetExcitationFilterRef (index_type instrumentIndex, index_type filterSetIndex, index_type excitationFilterRefIndex) const =0
| Get the ExcitationFilterRef property of FilterSet. More...
virtual const std::string & | getFilterSetID (index_type instrumentIndex, index_type filterSetIndex) const =0
| Get the ID property of FilterSet. More...
virtual const std::string & | getFilterSetLotNumber (index_type instrumentIndex, index_type filterSetIndex) const =0
| Get the LotNumber property of FilterSet. More...
virtual const std::string & | getFilterSetManufacturer (index_type instrumentIndex, index_type filterSetIndex) const =0
| Get the Manufacturer property of FilterSet. More...
virtual const std::string & | getFilterSetModel (index_type instrumentIndex, index_type filterSetIndex) const =0
| Get the Model property of FilterSet. More...
virtual const std::string & | getFilterSetSerialNumber (index_type instrumentIndex, index_type filterSetIndex) const =0
| Get the SerialNumber property of FilterSet. More...
virtual const std::string & | getFolderAnnotationRef (index_type folderIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Folder. More...
virtual const std::string & | getFolderDescription (index_type folderIndex) const =0
| Get the Description property of Folder. More...
virtual const std::string & | getFolderFolderRef (index_type folderIndex, index_type folderRefIndex) const =0
| Get the FolderRef property of Folder. More...
virtual const std::string & | getFolderID (index_type folderIndex) const =0
| Get the ID property of Folder. More...
virtual const std::string & | getFolderImageRef (index_type folderIndex, index_type imageRefIndex) const =0
| Get the ImageRef property of Folder. More...
virtual const std::string & | getFolderName (index_type folderIndex) const =0
| Get the Name property of Folder. More...
virtual const std::string & | getFolderROIRef (index_type folderIndex, index_type ROIRefIndex) const =0
| Get the ROIRef property of Folder. More...
virtual const std::string & | getGenericExcitationSourceAnnotationRef (index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of GenericExcitationSource. More...
virtual const std::string & | getGenericExcitationSourceID (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the ID property of GenericExcitationSource. More...
virtual const std::string & | getGenericExcitationSourceLotNumber (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the LotNumber property of GenericExcitationSource. More...
virtual const std::string & | getGenericExcitationSourceManufacturer (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Manufacturer property of GenericExcitationSource. More...
virtual const std::string & | getGenericExcitationSourceModel (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Model property of GenericExcitationSource. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > | getGenericExcitationSourcePower (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Power property of GenericExcitationSource. More...
virtual const std::string & | getGenericExcitationSourceSerialNumber (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the SerialNumber property of GenericExcitationSource. More...
virtual ome::xml::model::primitives::Timestamp | getImageAcquisitionDate (index_type imageIndex) const =0
| Get the AcquisitionDate property of Image. More...
virtual const std::string & | getImageAnnotationRef (index_type imageIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Image. More...
virtual const std::string & | getImageDescription (index_type imageIndex) const =0
| Get the Description property of Image. More...
virtual const std::string & | getImageExperimentRef (index_type imageIndex) const =0
| Get the ExperimentRef property of Image. More...
virtual const std::string & | getImageExperimenterGroupRef (index_type imageIndex) const =0
| Get the ExperimenterGroupRef property of Image. More...
virtual const std::string & | getImageExperimenterRef (index_type imageIndex) const =0
| Get the ExperimenterRef property of Image. More...
virtual const std::string & | getImageID (index_type imageIndex) const =0
| Get the ID property of Image. More...
virtual const std::string & | getImageInstrumentRef (index_type imageIndex) const =0
| Get the InstrumentRef property of Image. More...
virtual const std::string & | getImageMicrobeamManipulationRef (index_type imageIndex, index_type microbeamManipulationRefIndex) const =0
| Get the MicrobeamManipulationRef property of Image. More...
virtual const std::string & | getImageName (index_type imageIndex) const =0
| Get the Name property of Image. More...
virtual const std::string & | getImageROIRef (index_type imageIndex, index_type ROIRefIndex) const =0
| Get the ROIRef property of Image. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPressure > | getImagingEnvironmentAirPressure (index_type imageIndex) const =0
| Get the AirPressure property of ImagingEnvironment. More...
virtual ome::xml::model::primitives::PercentFraction | getImagingEnvironmentCO2Percent (index_type imageIndex) const =0
| Get the CO2Percent property of ImagingEnvironment. More...
virtual ome::xml::model::primitives::PercentFraction | getImagingEnvironmentHumidity (index_type imageIndex) const =0
| Get the Humidity property of ImagingEnvironment. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTemperature > | getImagingEnvironmentTemperature (index_type imageIndex) const =0
| Get the Temperature property of ImagingEnvironment. More...
virtual const std::string & | getInstrumentAnnotationRef (index_type instrumentIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Instrument. More...
virtual const std::string & | getInstrumentID (index_type instrumentIndex) const =0
| Get the ID property of Instrument. More...
virtual const std::string & | getLabelAnnotationRef (index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Label. More...
virtual ome::xml::model::primitives::Color | getLabelFillColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillColor property of Label. More...
virtual ome::xml::model::enums::FillRule | getLabelFillRule (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillRule property of Label. More...
virtual ome::xml::model::enums::FontFamily | getLabelFontFamily (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontFamily property of Label. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | getLabelFontSize (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontSize property of Label. More...
virtual ome::xml::model::enums::FontStyle | getLabelFontStyle (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontStyle property of Label. More...
virtual const std::string & | getLabelID (index_type ROIIndex, index_type shapeIndex) const =0
| Get the ID property of Label. More...
virtual bool | getLabelLocked (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Locked property of Label. More...
virtual ome::xml::model::primitives::Color | getLabelStrokeColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeColor property of Label. More...
virtual const std::string & | getLabelStrokeDashArray (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeDashArray property of Label. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getLabelStrokeWidth (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeWidth property of Label. More...
virtual const std::string & | getLabelText (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Text property of Label. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getLabelTheC (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheC property of Label. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getLabelTheT (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheT property of Label. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getLabelTheZ (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheZ property of Label. More...
virtual const ::ome::xml::model::AffineTransform & | getLabelTransform (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Transform property of Label. More...
virtual double | getLabelX (index_type ROIIndex, index_type shapeIndex) const =0
| Get the X property of Label. More...
virtual double | getLabelY (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Y property of Label. More...
virtual const std::string & | getLaserAnnotationRef (index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Laser. More...
virtual ome::xml::model::primitives::PositiveInteger | getLaserFrequencyMultiplication (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the FrequencyMultiplication property of Laser. More...
virtual const std::string & | getLaserID (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the ID property of Laser. More...
virtual ome::xml::model::enums::LaserMedium | getLaserLaserMedium (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the LaserMedium property of Laser. More...
virtual const std::string & | getLaserLotNumber (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the LotNumber property of Laser. More...
virtual const std::string & | getLaserManufacturer (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Manufacturer property of Laser. More...
virtual const std::string & | getLaserModel (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Model property of Laser. More...
virtual bool | getLaserPockelCell (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the PockelCell property of Laser. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > | getLaserPower (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Power property of Laser. More...
virtual ome::xml::model::enums::Pulse | getLaserPulse (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Pulse property of Laser. More...
virtual const std::string & | getLaserPump (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Pump property of Laser. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsFrequency > | getLaserRepetitionRate (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the RepetitionRate property of Laser. More...
virtual const std::string & | getLaserSerialNumber (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the SerialNumber property of Laser. More...
virtual bool | getLaserTuneable (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Tuneable property of Laser. More...
virtual ome::xml::model::enums::LaserType | getLaserType (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Type property of Laser. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | getLaserWavelength (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Wavelength property of Laser. More...
virtual const std::string & | getLightEmittingDiodeAnnotationRef (index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of LightEmittingDiode. More...
virtual const std::string & | getLightEmittingDiodeID (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the ID property of LightEmittingDiode. More...
virtual const std::string & | getLightEmittingDiodeLotNumber (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the LotNumber property of LightEmittingDiode. More...
virtual const std::string & | getLightEmittingDiodeManufacturer (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Manufacturer property of LightEmittingDiode. More...
virtual const std::string & | getLightEmittingDiodeModel (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Model property of LightEmittingDiode. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > | getLightEmittingDiodePower (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the Power property of LightEmittingDiode. More...
virtual const std::string & | getLightEmittingDiodeSerialNumber (index_type instrumentIndex, index_type lightSourceIndex) const =0
| Get the SerialNumber property of LightEmittingDiode. More...
virtual const std::string & | getLightPathAnnotationRef (index_type imageIndex, index_type channelIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of LightPath. More...
virtual const std::string & | getLightPathDichroicRef (index_type imageIndex, index_type channelIndex) const =0
| Get the DichroicRef property of LightPath. More...
virtual const std::string & | getLightPathEmissionFilterRef (index_type imageIndex, index_type channelIndex, index_type emissionFilterRefIndex) const =0
| Get the EmissionFilterRef property of LightPath. More...
virtual const std::string & | getLightPathExcitationFilterRef (index_type imageIndex, index_type channelIndex, index_type excitationFilterRefIndex) const =0
| Get the ExcitationFilterRef property of LightPath. More...
virtual ome::xml::model::primitives::PercentFraction | getChannelLightSourceSettingsAttenuation (index_type imageIndex, index_type channelIndex) const =0
| Get the Attenuation property of LightSourceSettings. More...
virtual ome::xml::model::primitives::PercentFraction | getMicrobeamManipulationLightSourceSettingsAttenuation (index_type experimentIndex, index_type microbeamManipulationIndex, index_type lightSourceSettingsIndex) const =0
| Get the Attenuation property of LightSourceSettings. More...
virtual const std::string & | getChannelLightSourceSettingsID (index_type imageIndex, index_type channelIndex) const =0
| Get the ID property of LightSourceSettings. More...
virtual const std::string & | getMicrobeamManipulationLightSourceSettingsID (index_type experimentIndex, index_type microbeamManipulationIndex, index_type lightSourceSettingsIndex) const =0
| Get the ID property of LightSourceSettings. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | getChannelLightSourceSettingsWavelength (index_type imageIndex, index_type channelIndex) const =0
| Get the Wavelength property of LightSourceSettings. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | getMicrobeamManipulationLightSourceSettingsWavelength (index_type experimentIndex, index_type microbeamManipulationIndex, index_type lightSourceSettingsIndex) const =0
| Get the Wavelength property of LightSourceSettings. More...
virtual const std::string & | getLineAnnotationRef (index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Line. More...
virtual ome::xml::model::primitives::Color | getLineFillColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillColor property of Line. More...
virtual ome::xml::model::enums::FillRule | getLineFillRule (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillRule property of Line. More...
virtual ome::xml::model::enums::FontFamily | getLineFontFamily (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontFamily property of Line. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | getLineFontSize (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontSize property of Line. More...
virtual ome::xml::model::enums::FontStyle | getLineFontStyle (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontStyle property of Line. More...
virtual const std::string & | getLineID (index_type ROIIndex, index_type shapeIndex) const =0
| Get the ID property of Line. More...
virtual bool | getLineLocked (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Locked property of Line. More...
virtual ome::xml::model::enums::Marker | getLineMarkerEnd (index_type ROIIndex, index_type shapeIndex) const =0
| Get the MarkerEnd property of Line. More...
virtual ome::xml::model::enums::Marker | getLineMarkerStart (index_type ROIIndex, index_type shapeIndex) const =0
| Get the MarkerStart property of Line. More...
virtual ome::xml::model::primitives::Color | getLineStrokeColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeColor property of Line. More...
virtual const std::string & | getLineStrokeDashArray (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeDashArray property of Line. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getLineStrokeWidth (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeWidth property of Line. More...
virtual const std::string & | getLineText (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Text property of Line. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getLineTheC (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheC property of Line. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getLineTheT (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheT property of Line. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getLineTheZ (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheZ property of Line. More...
virtual const ::ome::xml::model::AffineTransform & | getLineTransform (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Transform property of Line. More...
virtual double | getLineX1 (index_type ROIIndex, index_type shapeIndex) const =0
| Get the X1 property of Line. More...
virtual double | getLineX2 (index_type ROIIndex, index_type shapeIndex) const =0
| Get the X2 property of Line. More...
virtual double | getLineY1 (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Y1 property of Line. More...
virtual double | getLineY2 (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Y2 property of Line. More...
virtual const std::string & | getListAnnotationAnnotationRef (index_type listAnnotationIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of ListAnnotation. More...
virtual const std::string & | getListAnnotationAnnotator (index_type listAnnotationIndex) const =0
| Get the Annotator property of ListAnnotation. More...
virtual const std::string & | getListAnnotationDescription (index_type listAnnotationIndex) const =0
| Get the Description property of ListAnnotation. More...
virtual const std::string & | getListAnnotationID (index_type listAnnotationIndex) const =0
| Get the ID property of ListAnnotation. More...
virtual const std::string & | getListAnnotationNamespace (index_type listAnnotationIndex) const =0
| Get the Namespace property of ListAnnotation. More...
virtual const std::string & | getLongAnnotationAnnotationRef (index_type longAnnotationIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of LongAnnotation. More...
virtual const std::string & | getLongAnnotationAnnotator (index_type longAnnotationIndex) const =0
| Get the Annotator property of LongAnnotation. More...
virtual const std::string & | getLongAnnotationDescription (index_type longAnnotationIndex) const =0
| Get the Description property of LongAnnotation. More...
virtual const std::string & | getLongAnnotationID (index_type longAnnotationIndex) const =0
| Get the ID property of LongAnnotation. More...
virtual const std::string & | getLongAnnotationNamespace (index_type longAnnotationIndex) const =0
| Get the Namespace property of LongAnnotation. More...
virtual int64_t | getLongAnnotationValue (index_type longAnnotationIndex) const =0
| Get the Value property of LongAnnotation. More...
virtual const std::string & | getMapAnnotationAnnotationRef (index_type mapAnnotationIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of MapAnnotation. More...
virtual const std::string & | getMapAnnotationAnnotator (index_type mapAnnotationIndex) const =0
| Get the Annotator property of MapAnnotation. More...
virtual const std::string & | getMapAnnotationDescription (index_type mapAnnotationIndex) const =0
| Get the Description property of MapAnnotation. More...
virtual const std::string & | getMapAnnotationID (index_type mapAnnotationIndex) const =0
| Get the ID property of MapAnnotation. More...
virtual const std::string & | getMapAnnotationNamespace (index_type mapAnnotationIndex) const =0
| Get the Namespace property of MapAnnotation. More...
virtual const std::string & | getMaskAnnotationRef (index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Mask. More...
virtual ome::xml::model::primitives::Color | getMaskFillColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillColor property of Mask. More...
virtual ome::xml::model::enums::FillRule | getMaskFillRule (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillRule property of Mask. More...
virtual ome::xml::model::enums::FontFamily | getMaskFontFamily (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontFamily property of Mask. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | getMaskFontSize (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontSize property of Mask. More...
virtual ome::xml::model::enums::FontStyle | getMaskFontStyle (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontStyle property of Mask. More...
virtual double | getMaskHeight (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Height property of Mask. More...
virtual const std::string & | getMaskID (index_type ROIIndex, index_type shapeIndex) const =0
| Get the ID property of Mask. More...
virtual bool | getMaskLocked (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Locked property of Mask. More...
virtual ome::xml::model::primitives::Color | getMaskStrokeColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeColor property of Mask. More...
virtual const std::string & | getMaskStrokeDashArray (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeDashArray property of Mask. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getMaskStrokeWidth (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeWidth property of Mask. More...
virtual const std::string & | getMaskText (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Text property of Mask. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getMaskTheC (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheC property of Mask. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getMaskTheT (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheT property of Mask. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getMaskTheZ (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheZ property of Mask. More...
virtual const ::ome::xml::model::AffineTransform & | getMaskTransform (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Transform property of Mask. More...
virtual double | getMaskWidth (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Width property of Mask. More...
virtual double | getMaskX (index_type ROIIndex, index_type shapeIndex) const =0
| Get the X property of Mask. More...
virtual double | getMaskY (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Y property of Mask. More...
virtual const std::string & | getMicrobeamManipulationDescription (index_type experimentIndex, index_type microbeamManipulationIndex) const =0
| Get the Description property of MicrobeamManipulation. More...
virtual const std::string & | getMicrobeamManipulationExperimenterRef (index_type experimentIndex, index_type microbeamManipulationIndex) const =0
| Get the ExperimenterRef property of MicrobeamManipulation. More...
virtual const std::string & | getMicrobeamManipulationID (index_type experimentIndex, index_type microbeamManipulationIndex) const =0
| Get the ID property of MicrobeamManipulation. More...
virtual const std::string & | getMicrobeamManipulationROIRef (index_type experimentIndex, index_type microbeamManipulationIndex, index_type ROIRefIndex) const =0
| Get the ROIRef property of MicrobeamManipulation. More...
virtual ome::xml::model::enums::MicrobeamManipulationType | getMicrobeamManipulationType (index_type experimentIndex, index_type microbeamManipulationIndex) const =0
| Get the Type property of MicrobeamManipulation. More...
virtual const std::string & | getMicroscopeLotNumber (index_type instrumentIndex) const =0
| Get the LotNumber property of Microscope. More...
virtual const std::string & | getMicroscopeManufacturer (index_type instrumentIndex) const =0
| Get the Manufacturer property of Microscope. More...
virtual const std::string & | getMicroscopeModel (index_type instrumentIndex) const =0
| Get the Model property of Microscope. More...
virtual const std::string & | getMicroscopeSerialNumber (index_type instrumentIndex) const =0
| Get the SerialNumber property of Microscope. More...
virtual ome::xml::model::enums::MicroscopeType | getMicroscopeType (index_type instrumentIndex) const =0
| Get the Type property of Microscope. More...
virtual const std::string & | getObjectiveAnnotationRef (index_type instrumentIndex, index_type objectiveIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Objective. More...
virtual double | getObjectiveCalibratedMagnification (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the CalibratedMagnification property of Objective. More...
virtual ome::xml::model::enums::Correction | getObjectiveCorrection (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the Correction property of Objective. More...
virtual const std::string & | getObjectiveID (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the ID property of Objective. More...
virtual ome::xml::model::enums::Immersion | getObjectiveImmersion (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the Immersion property of Objective. More...
virtual bool | getObjectiveIris (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the Iris property of Objective. More...
virtual double | getObjectiveLensNA (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the LensNA property of Objective. More...
virtual const std::string & | getObjectiveLotNumber (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the LotNumber property of Objective. More...
virtual const std::string & | getObjectiveManufacturer (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the Manufacturer property of Objective. More...
virtual const std::string & | getObjectiveModel (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the Model property of Objective. More...
virtual double | getObjectiveNominalMagnification (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the NominalMagnification property of Objective. More...
virtual const std::string & | getObjectiveSerialNumber (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the SerialNumber property of Objective. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getObjectiveWorkingDistance (index_type instrumentIndex, index_type objectiveIndex) const =0
| Get the WorkingDistance property of Objective. More...
virtual double | getObjectiveSettingsCorrectionCollar (index_type imageIndex) const =0
| Get the CorrectionCollar property of ObjectiveSettings. More...
virtual const std::string & | getObjectiveSettingsID (index_type imageIndex) const =0
| Get the ID property of ObjectiveSettings. More...
virtual ome::xml::model::enums::Medium | getObjectiveSettingsMedium (index_type imageIndex) const =0
| Get the Medium property of ObjectiveSettings. More...
virtual double | getObjectiveSettingsRefractiveIndex (index_type imageIndex) const =0
| Get the RefractiveIndex property of ObjectiveSettings. More...
virtual bool | getPixelsBigEndian (index_type imageIndex) const =0
| Get the BigEndian property of Pixels. More...
virtual ome::xml::model::enums::DimensionOrder | getPixelsDimensionOrder (index_type imageIndex) const =0
| Get the DimensionOrder property of Pixels. More...
virtual const std::string & | getPixelsID (index_type imageIndex) const =0
| Get the ID property of Pixels. More...
virtual bool | getPixelsInterleaved (index_type imageIndex) const =0
| Get the Interleaved property of Pixels. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | getPixelsPhysicalSizeX (index_type imageIndex) const =0
| Get the PhysicalSizeX property of Pixels. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | getPixelsPhysicalSizeY (index_type imageIndex) const =0
| Get the PhysicalSizeY property of Pixels. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | getPixelsPhysicalSizeZ (index_type imageIndex) const =0
| Get the PhysicalSizeZ property of Pixels. More...
virtual ome::xml::model::primitives::PositiveInteger | getPixelsSignificantBits (index_type imageIndex) const =0
| Get the SignificantBits property of Pixels. More...
virtual ome::xml::model::primitives::PositiveInteger | getPixelsSizeC (index_type imageIndex) const =0
| Get the SizeC property of Pixels. More...
virtual ome::xml::model::primitives::PositiveInteger | getPixelsSizeT (index_type imageIndex) const =0
| Get the SizeT property of Pixels. More...
virtual ome::xml::model::primitives::PositiveInteger | getPixelsSizeX (index_type imageIndex) const =0
| Get the SizeX property of Pixels. More...
virtual ome::xml::model::primitives::PositiveInteger | getPixelsSizeY (index_type imageIndex) const =0
| Get the SizeY property of Pixels. More...
virtual ome::xml::model::primitives::PositiveInteger | getPixelsSizeZ (index_type imageIndex) const =0
| Get the SizeZ property of Pixels. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > | getPixelsTimeIncrement (index_type imageIndex) const =0
| Get the TimeIncrement property of Pixels. More...
virtual ome::xml::model::enums::PixelType | getPixelsType (index_type imageIndex) const =0
| Get the Type property of Pixels. More...
virtual const std::string & | getPlaneAnnotationRef (index_type imageIndex, index_type planeIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Plane. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > | getPlaneDeltaT (index_type imageIndex, index_type planeIndex) const =0
| Get the DeltaT property of Plane. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > | getPlaneExposureTime (index_type imageIndex, index_type planeIndex) const =0
| Get the ExposureTime property of Plane. More...
virtual const std::string & | getPlaneHashSHA1 (index_type imageIndex, index_type planeIndex) const =0
| Get the HashSHA1 property of Plane. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getPlanePositionX (index_type imageIndex, index_type planeIndex) const =0
| Get the PositionX property of Plane. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getPlanePositionY (index_type imageIndex, index_type planeIndex) const =0
| Get the PositionY property of Plane. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getPlanePositionZ (index_type imageIndex, index_type planeIndex) const =0
| Get the PositionZ property of Plane. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPlaneTheC (index_type imageIndex, index_type planeIndex) const =0
| Get the TheC property of Plane. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPlaneTheT (index_type imageIndex, index_type planeIndex) const =0
| Get the TheT property of Plane. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPlaneTheZ (index_type imageIndex, index_type planeIndex) const =0
| Get the TheZ property of Plane. More...
virtual const std::string & | getPlateAnnotationRef (index_type plateIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Plate. More...
virtual ome::xml::model::enums::NamingConvention | getPlateColumnNamingConvention (index_type plateIndex) const =0
| Get the ColumnNamingConvention property of Plate. More...
virtual ome::xml::model::primitives::PositiveInteger | getPlateColumns (index_type plateIndex) const =0
| Get the Columns property of Plate. More...
virtual const std::string & | getPlateDescription (index_type plateIndex) const =0
| Get the Description property of Plate. More...
virtual const std::string & | getPlateExternalIdentifier (index_type plateIndex) const =0
| Get the ExternalIdentifier property of Plate. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPlateFieldIndex (index_type plateIndex) const =0
| Get the FieldIndex property of Plate. More...
virtual const std::string & | getPlateID (index_type plateIndex) const =0
| Get the ID property of Plate. More...
virtual const std::string & | getPlateName (index_type plateIndex) const =0
| Get the Name property of Plate. More...
virtual ome::xml::model::enums::NamingConvention | getPlateRowNamingConvention (index_type plateIndex) const =0
| Get the RowNamingConvention property of Plate. More...
virtual ome::xml::model::primitives::PositiveInteger | getPlateRows (index_type plateIndex) const =0
| Get the Rows property of Plate. More...
virtual const std::string & | getPlateStatus (index_type plateIndex) const =0
| Get the Status property of Plate. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getPlateWellOriginX (index_type plateIndex) const =0
| Get the WellOriginX property of Plate. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getPlateWellOriginY (index_type plateIndex) const =0
| Get the WellOriginY property of Plate. More...
virtual const std::string & | getPlateAcquisitionAnnotationRef (index_type plateIndex, index_type plateAcquisitionIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of PlateAcquisition. More...
virtual const std::string & | getPlateAcquisitionDescription (index_type plateIndex, index_type plateAcquisitionIndex) const =0
| Get the Description property of PlateAcquisition. More...
virtual ome::xml::model::primitives::Timestamp | getPlateAcquisitionEndTime (index_type plateIndex, index_type plateAcquisitionIndex) const =0
| Get the EndTime property of PlateAcquisition. More...
virtual const std::string & | getPlateAcquisitionID (index_type plateIndex, index_type plateAcquisitionIndex) const =0
| Get the ID property of PlateAcquisition. More...
virtual ome::xml::model::primitives::PositiveInteger | getPlateAcquisitionMaximumFieldCount (index_type plateIndex, index_type plateAcquisitionIndex) const =0
| Get the MaximumFieldCount property of PlateAcquisition. More...
virtual const std::string & | getPlateAcquisitionName (index_type plateIndex, index_type plateAcquisitionIndex) const =0
| Get the Name property of PlateAcquisition. More...
virtual ome::xml::model::primitives::Timestamp | getPlateAcquisitionStartTime (index_type plateIndex, index_type plateAcquisitionIndex) const =0
| Get the StartTime property of PlateAcquisition. More...
virtual const std::string & | getPlateAcquisitionWellSampleRef (index_type plateIndex, index_type plateAcquisitionIndex, index_type wellSampleRefIndex) const =0
| Get the WellSampleRef property of PlateAcquisition. More...
virtual const std::string & | getPointAnnotationRef (index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Point. More...
virtual ome::xml::model::primitives::Color | getPointFillColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillColor property of Point. More...
virtual ome::xml::model::enums::FillRule | getPointFillRule (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillRule property of Point. More...
virtual ome::xml::model::enums::FontFamily | getPointFontFamily (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontFamily property of Point. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | getPointFontSize (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontSize property of Point. More...
virtual ome::xml::model::enums::FontStyle | getPointFontStyle (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontStyle property of Point. More...
virtual const std::string & | getPointID (index_type ROIIndex, index_type shapeIndex) const =0
| Get the ID property of Point. More...
virtual bool | getPointLocked (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Locked property of Point. More...
virtual ome::xml::model::primitives::Color | getPointStrokeColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeColor property of Point. More...
virtual const std::string & | getPointStrokeDashArray (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeDashArray property of Point. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getPointStrokeWidth (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeWidth property of Point. More...
virtual const std::string & | getPointText (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Text property of Point. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPointTheC (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheC property of Point. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPointTheT (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheT property of Point. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPointTheZ (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheZ property of Point. More...
virtual const ::ome::xml::model::AffineTransform & | getPointTransform (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Transform property of Point. More...
virtual double | getPointX (index_type ROIIndex, index_type shapeIndex) const =0
| Get the X property of Point. More...
virtual double | getPointY (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Y property of Point. More...
virtual const std::string & | getPolygonAnnotationRef (index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Polygon. More...
virtual ome::xml::model::primitives::Color | getPolygonFillColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillColor property of Polygon. More...
virtual ome::xml::model::enums::FillRule | getPolygonFillRule (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillRule property of Polygon. More...
virtual ome::xml::model::enums::FontFamily | getPolygonFontFamily (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontFamily property of Polygon. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | getPolygonFontSize (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontSize property of Polygon. More...
virtual ome::xml::model::enums::FontStyle | getPolygonFontStyle (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontStyle property of Polygon. More...
virtual const std::string & | getPolygonID (index_type ROIIndex, index_type shapeIndex) const =0
| Get the ID property of Polygon. More...
virtual bool | getPolygonLocked (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Locked property of Polygon. More...
virtual const std::string & | getPolygonPoints (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Points property of Polygon. More...
virtual ome::xml::model::primitives::Color | getPolygonStrokeColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeColor property of Polygon. More...
virtual const std::string & | getPolygonStrokeDashArray (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeDashArray property of Polygon. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getPolygonStrokeWidth (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeWidth property of Polygon. More...
virtual const std::string & | getPolygonText (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Text property of Polygon. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPolygonTheC (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheC property of Polygon. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPolygonTheT (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheT property of Polygon. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPolygonTheZ (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheZ property of Polygon. More...
virtual const ::ome::xml::model::AffineTransform & | getPolygonTransform (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Transform property of Polygon. More...
virtual const std::string & | getPolylineAnnotationRef (index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Polyline. More...
virtual ome::xml::model::primitives::Color | getPolylineFillColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillColor property of Polyline. More...
virtual ome::xml::model::enums::FillRule | getPolylineFillRule (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillRule property of Polyline. More...
virtual ome::xml::model::enums::FontFamily | getPolylineFontFamily (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontFamily property of Polyline. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | getPolylineFontSize (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontSize property of Polyline. More...
virtual ome::xml::model::enums::FontStyle | getPolylineFontStyle (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontStyle property of Polyline. More...
virtual const std::string & | getPolylineID (index_type ROIIndex, index_type shapeIndex) const =0
| Get the ID property of Polyline. More...
virtual bool | getPolylineLocked (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Locked property of Polyline. More...
virtual ome::xml::model::enums::Marker | getPolylineMarkerEnd (index_type ROIIndex, index_type shapeIndex) const =0
| Get the MarkerEnd property of Polyline. More...
virtual ome::xml::model::enums::Marker | getPolylineMarkerStart (index_type ROIIndex, index_type shapeIndex) const =0
| Get the MarkerStart property of Polyline. More...
virtual const std::string & | getPolylinePoints (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Points property of Polyline. More...
virtual ome::xml::model::primitives::Color | getPolylineStrokeColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeColor property of Polyline. More...
virtual const std::string & | getPolylineStrokeDashArray (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeDashArray property of Polyline. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getPolylineStrokeWidth (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeWidth property of Polyline. More...
virtual const std::string & | getPolylineText (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Text property of Polyline. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPolylineTheC (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheC property of Polyline. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPolylineTheT (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheT property of Polyline. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getPolylineTheZ (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheZ property of Polyline. More...
virtual const ::ome::xml::model::AffineTransform & | getPolylineTransform (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Transform property of Polyline. More...
virtual const std::string & | getProjectAnnotationRef (index_type projectIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Project. More...
virtual const std::string & | getProjectDatasetRef (index_type projectIndex, index_type datasetRefIndex) const =0
| Get the DatasetRef property of Project. More...
virtual const std::string & | getProjectDescription (index_type projectIndex) const =0
| Get the Description property of Project. More...
virtual const std::string & | getProjectExperimenterGroupRef (index_type projectIndex) const =0
| Get the ExperimenterGroupRef property of Project. More...
virtual const std::string & | getProjectExperimenterRef (index_type projectIndex) const =0
| Get the ExperimenterRef property of Project. More...
virtual const std::string & | getProjectID (index_type projectIndex) const =0
| Get the ID property of Project. More...
virtual const std::string & | getProjectName (index_type projectIndex) const =0
| Get the Name property of Project. More...
virtual const std::string & | getROIAnnotationRef (index_type ROIIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of ROI. More...
virtual const std::string & | getROIDescription (index_type ROIIndex) const =0
| Get the Description property of ROI. More...
virtual const std::string & | getROIID (index_type ROIIndex) const =0
| Get the ID property of ROI. More...
virtual const std::string & | getROIName (index_type ROIIndex) const =0
| Get the Name property of ROI. More...
virtual const std::string & | getReagentAnnotationRef (index_type screenIndex, index_type reagentIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Reagent. More...
virtual const std::string & | getReagentDescription (index_type screenIndex, index_type reagentIndex) const =0
| Get the Description property of Reagent. More...
virtual const std::string & | getReagentID (index_type screenIndex, index_type reagentIndex) const =0
| Get the ID property of Reagent. More...
virtual const std::string & | getReagentName (index_type screenIndex, index_type reagentIndex) const =0
| Get the Name property of Reagent. More...
virtual const std::string & | getReagentReagentIdentifier (index_type screenIndex, index_type reagentIndex) const =0
| Get the ReagentIdentifier property of Reagent. More...
virtual const std::string & | getRectangleAnnotationRef (index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Rectangle. More...
virtual ome::xml::model::primitives::Color | getRectangleFillColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillColor property of Rectangle. More...
virtual ome::xml::model::enums::FillRule | getRectangleFillRule (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FillRule property of Rectangle. More...
virtual ome::xml::model::enums::FontFamily | getRectangleFontFamily (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontFamily property of Rectangle. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | getRectangleFontSize (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontSize property of Rectangle. More...
virtual ome::xml::model::enums::FontStyle | getRectangleFontStyle (index_type ROIIndex, index_type shapeIndex) const =0
| Get the FontStyle property of Rectangle. More...
virtual double | getRectangleHeight (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Height property of Rectangle. More...
virtual const std::string & | getRectangleID (index_type ROIIndex, index_type shapeIndex) const =0
| Get the ID property of Rectangle. More...
virtual bool | getRectangleLocked (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Locked property of Rectangle. More...
virtual ome::xml::model::primitives::Color | getRectangleStrokeColor (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeColor property of Rectangle. More...
virtual const std::string & | getRectangleStrokeDashArray (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeDashArray property of Rectangle. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getRectangleStrokeWidth (index_type ROIIndex, index_type shapeIndex) const =0
| Get the StrokeWidth property of Rectangle. More...
virtual const std::string & | getRectangleText (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Text property of Rectangle. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getRectangleTheC (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheC property of Rectangle. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getRectangleTheT (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheT property of Rectangle. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getRectangleTheZ (index_type ROIIndex, index_type shapeIndex) const =0
| Get the TheZ property of Rectangle. More...
virtual const ::ome::xml::model::AffineTransform & | getRectangleTransform (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Transform property of Rectangle. More...
virtual double | getRectangleWidth (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Width property of Rectangle. More...
virtual double | getRectangleX (index_type ROIIndex, index_type shapeIndex) const =0
| Get the X property of Rectangle. More...
virtual double | getRectangleY (index_type ROIIndex, index_type shapeIndex) const =0
| Get the Y property of Rectangle. More...
virtual const std::string & | getRightsRightsHeld () const =0
| Get the RightsHeld property of Rights. More...
virtual const std::string & | getRightsRightsHolder () const =0
| Get the RightsHolder property of Rights. More...
virtual const std::string & | getScreenAnnotationRef (index_type screenIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Screen. More...
virtual const std::string & | getScreenDescription (index_type screenIndex) const =0
| Get the Description property of Screen. More...
virtual const std::string & | getScreenID (index_type screenIndex) const =0
| Get the ID property of Screen. More...
virtual const std::string & | getScreenName (index_type screenIndex) const =0
| Get the Name property of Screen. More...
virtual const std::string & | getScreenPlateRef (index_type screenIndex, index_type plateRefIndex) const =0
| Get the PlateRef property of Screen. More...
virtual const std::string & | getScreenProtocolDescription (index_type screenIndex) const =0
| Get the ProtocolDescription property of Screen. More...
virtual const std::string & | getScreenProtocolIdentifier (index_type screenIndex) const =0
| Get the ProtocolIdentifier property of Screen. More...
virtual const std::string & | getScreenReagentSetDescription (index_type screenIndex) const =0
| Get the ReagentSetDescription property of Screen. More...
virtual const std::string & | getScreenReagentSetIdentifier (index_type screenIndex) const =0
| Get the ReagentSetIdentifier property of Screen. More...
virtual const std::string & | getScreenType (index_type screenIndex) const =0
| Get the Type property of Screen. More...
virtual const std::string & | getStageLabelName (index_type imageIndex) const =0
| Get the Name property of StageLabel. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getStageLabelX (index_type imageIndex) const =0
| Get the X property of StageLabel. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getStageLabelY (index_type imageIndex) const =0
| Get the Y property of StageLabel. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getStageLabelZ (index_type imageIndex) const =0
| Get the Z property of StageLabel. More...
virtual const std::string & | getTagAnnotationAnnotationRef (index_type tagAnnotationIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of TagAnnotation. More...
virtual const std::string & | getTagAnnotationAnnotator (index_type tagAnnotationIndex) const =0
| Get the Annotator property of TagAnnotation. More...
virtual const std::string & | getTagAnnotationDescription (index_type tagAnnotationIndex) const =0
| Get the Description property of TagAnnotation. More...
virtual const std::string & | getTagAnnotationID (index_type tagAnnotationIndex) const =0
| Get the ID property of TagAnnotation. More...
virtual const std::string & | getTagAnnotationNamespace (index_type tagAnnotationIndex) const =0
| Get the Namespace property of TagAnnotation. More...
virtual const std::string & | getTagAnnotationValue (index_type tagAnnotationIndex) const =0
| Get the Value property of TagAnnotation. More...
virtual const std::string & | getTermAnnotationAnnotationRef (index_type termAnnotationIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of TermAnnotation. More...
virtual const std::string & | getTermAnnotationAnnotator (index_type termAnnotationIndex) const =0
| Get the Annotator property of TermAnnotation. More...
virtual const std::string & | getTermAnnotationDescription (index_type termAnnotationIndex) const =0
| Get the Description property of TermAnnotation. More...
virtual const std::string & | getTermAnnotationID (index_type termAnnotationIndex) const =0
| Get the ID property of TermAnnotation. More...
virtual const std::string & | getTermAnnotationNamespace (index_type termAnnotationIndex) const =0
| Get the Namespace property of TermAnnotation. More...
virtual const std::string & | getTermAnnotationValue (index_type termAnnotationIndex) const =0
| Get the Value property of TermAnnotation. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getTiffDataFirstC (index_type imageIndex, index_type tiffDataIndex) const =0
| Get the FirstC property of TiffData. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getTiffDataFirstT (index_type imageIndex, index_type tiffDataIndex) const =0
| Get the FirstT property of TiffData. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getTiffDataFirstZ (index_type imageIndex, index_type tiffDataIndex) const =0
| Get the FirstZ property of TiffData. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getTiffDataIFD (index_type imageIndex, index_type tiffDataIndex) const =0
| Get the IFD property of TiffData. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getTiffDataPlaneCount (index_type imageIndex, index_type tiffDataIndex) const =0
| Get the PlaneCount property of TiffData. More...
virtual const std::string & | getTimestampAnnotationAnnotationRef (index_type timestampAnnotationIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of TimestampAnnotation. More...
virtual const std::string & | getTimestampAnnotationAnnotator (index_type timestampAnnotationIndex) const =0
| Get the Annotator property of TimestampAnnotation. More...
virtual const std::string & | getTimestampAnnotationDescription (index_type timestampAnnotationIndex) const =0
| Get the Description property of TimestampAnnotation. More...
virtual const std::string & | getTimestampAnnotationID (index_type timestampAnnotationIndex) const =0
| Get the ID property of TimestampAnnotation. More...
virtual const std::string & | getTimestampAnnotationNamespace (index_type timestampAnnotationIndex) const =0
| Get the Namespace property of TimestampAnnotation. More...
virtual ome::xml::model::primitives::Timestamp | getTimestampAnnotationValue (index_type timestampAnnotationIndex) const =0
| Get the Value property of TimestampAnnotation. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | getTransmittanceRangeCutIn (index_type instrumentIndex, index_type filterIndex) const =0
| Get the CutIn property of TransmittanceRange. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeFloat > | getTransmittanceRangeCutInTolerance (index_type instrumentIndex, index_type filterIndex) const =0
| Get the CutInTolerance property of TransmittanceRange. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | getTransmittanceRangeCutOut (index_type instrumentIndex, index_type filterIndex) const =0
| Get the CutOut property of TransmittanceRange. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeFloat > | getTransmittanceRangeCutOutTolerance (index_type instrumentIndex, index_type filterIndex) const =0
| Get the CutOutTolerance property of TransmittanceRange. More...
virtual ome::xml::model::primitives::PercentFraction | getTransmittanceRangeTransmittance (index_type instrumentIndex, index_type filterIndex) const =0
| Get the Transmittance property of TransmittanceRange. More...
virtual const std::string & | getUUIDFileName (index_type imageIndex, index_type tiffDataIndex) const =0
| Get the FileName property of UUID. More...
virtual const std::string & | getWellAnnotationRef (index_type plateIndex, index_type wellIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of Well. More...
virtual ome::xml::model::primitives::Color | getWellColor (index_type plateIndex, index_type wellIndex) const =0
| Get the Color property of Well. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getWellColumn (index_type plateIndex, index_type wellIndex) const =0
| Get the Column property of Well. More...
virtual const std::string & | getWellExternalDescription (index_type plateIndex, index_type wellIndex) const =0
| Get the ExternalDescription property of Well. More...
virtual const std::string & | getWellExternalIdentifier (index_type plateIndex, index_type wellIndex) const =0
| Get the ExternalIdentifier property of Well. More...
virtual const std::string & | getWellID (index_type plateIndex, index_type wellIndex) const =0
| Get the ID property of Well. More...
virtual const std::string & | getWellReagentRef (index_type plateIndex, index_type wellIndex) const =0
| Get the ReagentRef property of Well. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getWellRow (index_type plateIndex, index_type wellIndex) const =0
| Get the Row property of Well. More...
virtual const std::string & | getWellType (index_type plateIndex, index_type wellIndex) const =0
| Get the Type property of Well. More...
virtual const std::string & | getWellSampleID (index_type plateIndex, index_type wellIndex, index_type wellSampleIndex) const =0
| Get the ID property of WellSample. More...
virtual const std::string & | getWellSampleImageRef (index_type plateIndex, index_type wellIndex, index_type wellSampleIndex) const =0
| Get the ImageRef property of WellSample. More...
virtual ome::xml::model::primitives::NonNegativeInteger | getWellSampleIndex (index_type plateIndex, index_type wellIndex, index_type wellSampleIndex) const =0
| Get the Index property of WellSample. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getWellSamplePositionX (index_type plateIndex, index_type wellIndex, index_type wellSampleIndex) const =0
| Get the PositionX property of WellSample. More...
virtual ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | getWellSamplePositionY (index_type plateIndex, index_type wellIndex, index_type wellSampleIndex) const =0
| Get the PositionY property of WellSample. More...
virtual ome::xml::model::primitives::Timestamp | getWellSampleTimepoint (index_type plateIndex, index_type wellIndex, index_type wellSampleIndex) const =0
| Get the Timepoint property of WellSample. More...
virtual const std::string & | getXMLAnnotationAnnotationRef (index_type XMLAnnotationIndex, index_type annotationRefIndex) const =0
| Get the AnnotationRef property of XMLAnnotation. More...
virtual const std::string & | getXMLAnnotationAnnotator (index_type XMLAnnotationIndex) const =0
| Get the Annotator property of XMLAnnotation. More...
virtual const std::string & | getXMLAnnotationDescription (index_type XMLAnnotationIndex) const =0
| Get the Description property of XMLAnnotation. More...
virtual const std::string & | getXMLAnnotationID (index_type XMLAnnotationIndex) const =0
| Get the ID property of XMLAnnotation. More...
virtual const std::string & | getXMLAnnotationNamespace (index_type XMLAnnotationIndex) const =0
| Get the Namespace property of XMLAnnotation. More...
virtual const std::string & | getXMLAnnotationValue (index_type XMLAnnotationIndex) const =0
| Get the Value property of XMLAnnotation. More...
Public Member Functions inherited from ome::xml::meta::BaseMetadata
virtual | ~BaseMetadata ()
| Destructor.
Public Member Functions inherited from ome::xml::meta::MetadataStore
virtual | ~MetadataStore ()
| Destructor.
virtual void | createRoot ()=0
| Create root node. More...
virtual ome::compat::shared_ptr< MetadataRoot > & | getRoot ()=0
| Get the root node of the metadata. More...
virtual void | setRoot (ome::compat::shared_ptr< MetadataRoot > &root)=0
| Set the root node of the metadata. More...
virtual void | setUUID (const std::string &uuid)=0
| Set the UUID associated with this collection of metadata. More...
virtual void | setMapAnnotationValue (const ome::xml::model::primitives::OrderedMultimap &value, index_type mapAnnotationIndex)=0
| Set the map value of MapAnnotation. More...
virtual void | setGenericExcitationSourceMap (const ome::xml::model::primitives::OrderedMultimap &map, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the map value of GenericExcitationSource. More...
virtual void | setImagingEnvironmentMap (const ome::xml::model::primitives::OrderedMultimap &map, index_type imageIndex)=0
| Set the map value of ImagingEnvironment. More...
virtual void | setArcAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Arc. More...
virtual void | setArcID (const std::string &id, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the ID property of Arc. More...
virtual void | setArcLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the LotNumber property of Arc. More...
virtual void | setArcManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Manufacturer property of Arc. More...
virtual void | setArcModel (const std::string &model, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Model property of Arc. More...
virtual void | setArcPower (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > power, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Power property of Arc. More...
virtual void | setArcSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the SerialNumber property of Arc. More...
virtual void | setArcType (ome::xml::model::enums::ArcType type, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Type property of Arc. More...
virtual void | setBinaryFileBinData (const std::vector< uint8_t > &base64Binary, index_type fileAnnotationIndex)=0
| Set the Base64Binary property of BinData. More...
virtual void | setMaskBinData (const std::vector< uint8_t > &base64Binary, index_type ROIIndex, index_type shapeIndex)=0
| Set the Base64Binary property of BinData. More...
virtual void | setPixelsBinData (const std::vector< uint8_t > &base64Binary, index_type imageIndex, index_type binDataIndex)=0
| Set the Base64Binary property of BinData. More...
virtual void | setBinaryFileBinDataBigEndian (bool bigEndian, index_type fileAnnotationIndex)=0
| Set the BigEndian property of BinData. More...
virtual void | setMaskBinDataBigEndian (bool bigEndian, index_type ROIIndex, index_type shapeIndex)=0
| Set the BigEndian property of BinData. More...
virtual void | setPixelsBinDataBigEndian (bool bigEndian, index_type imageIndex, index_type binDataIndex)=0
| Set the BigEndian property of BinData. More...
virtual void | setBinaryFileBinDataCompression (ome::xml::model::enums::Compression compression, index_type fileAnnotationIndex)=0
| Set the Compression property of BinData. More...
virtual void | setMaskBinDataCompression (ome::xml::model::enums::Compression compression, index_type ROIIndex, index_type shapeIndex)=0
| Set the Compression property of BinData. More...
virtual void | setPixelsBinDataCompression (ome::xml::model::enums::Compression compression, index_type imageIndex, index_type binDataIndex)=0
| Set the Compression property of BinData. More...
virtual void | setBinaryFileBinDataLength (ome::xml::model::primitives::NonNegativeLong length, index_type fileAnnotationIndex)=0
| Set the Length property of BinData. More...
virtual void | setMaskBinDataLength (ome::xml::model::primitives::NonNegativeLong length, index_type ROIIndex, index_type shapeIndex)=0
| Set the Length property of BinData. More...
virtual void | setPixelsBinDataLength (ome::xml::model::primitives::NonNegativeLong length, index_type imageIndex, index_type binDataIndex)=0
| Set the Length property of BinData. More...
virtual void | setBinaryFileFileName (const std::string &fileName, index_type fileAnnotationIndex)=0
| Set the FileName property of BinaryFile. More...
virtual void | setBinaryFileMIMEType (const std::string &mimeType, index_type fileAnnotationIndex)=0
| Set the MIMEType property of BinaryFile. More...
virtual void | setBinaryFileSize (ome::xml::model::primitives::NonNegativeLong size, index_type fileAnnotationIndex)=0
| Set the Size property of BinaryFile. More...
virtual void | setBinaryOnlyMetadataFile (const std::string &metadataFile)=0
| Set the MetadataFile property of BinaryOnly. More...
virtual void | setBinaryOnlyUUID (const std::string &uuid)=0
| Set the UUID property of BinaryOnly. More...
virtual void | setBooleanAnnotationAnnotationRef (const std::string &annotation, index_type booleanAnnotationIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of BooleanAnnotation. More...
virtual void | setBooleanAnnotationAnnotator (const std::string &annotator, index_type booleanAnnotationIndex)=0
| Set the Annotator property of BooleanAnnotation. More...
virtual void | setBooleanAnnotationDescription (const std::string &description, index_type booleanAnnotationIndex)=0
| Set the Description property of BooleanAnnotation. More...
virtual void | setBooleanAnnotationID (const std::string &id, index_type booleanAnnotationIndex)=0
| Set the ID property of BooleanAnnotation. More...
virtual void | setBooleanAnnotationNamespace (const std::string &namespace_, index_type booleanAnnotationIndex)=0
| Set the Namespace property of BooleanAnnotation. More...
virtual void | setBooleanAnnotationValue (bool value, index_type booleanAnnotationIndex)=0
| Set the Value property of BooleanAnnotation. More...
virtual void | setChannelAcquisitionMode (ome::xml::model::enums::AcquisitionMode acquisitionMode, index_type imageIndex, index_type channelIndex)=0
| Set the AcquisitionMode property of Channel. More...
virtual void | setChannelAnnotationRef (const std::string &annotation, index_type imageIndex, index_type channelIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Channel. More...
virtual void | setChannelColor (ome::xml::model::primitives::Color color, index_type imageIndex, index_type channelIndex)=0
| Set the Color property of Channel. More...
virtual void | setChannelContrastMethod (ome::xml::model::enums::ContrastMethod contrastMethod, index_type imageIndex, index_type channelIndex)=0
| Set the ContrastMethod property of Channel. More...
virtual void | setChannelEmissionWavelength (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > emissionWavelength, index_type imageIndex, index_type channelIndex)=0
| Set the EmissionWavelength property of Channel. More...
virtual void | setChannelExcitationWavelength (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > excitationWavelength, index_type imageIndex, index_type channelIndex)=0
| Set the ExcitationWavelength property of Channel. More...
virtual void | setChannelFilterSetRef (const std::string &filterSet, index_type imageIndex, index_type channelIndex)=0
| Set the FilterSetRef property of Channel. More...
virtual void | setChannelFluor (const std::string &fluor, index_type imageIndex, index_type channelIndex)=0
| Set the Fluor property of Channel. More...
virtual void | setChannelID (const std::string &id, index_type imageIndex, index_type channelIndex)=0
| Set the ID property of Channel. More...
virtual void | setChannelIlluminationType (ome::xml::model::enums::IlluminationType illuminationType, index_type imageIndex, index_type channelIndex)=0
| Set the IlluminationType property of Channel. More...
virtual void | setChannelNDFilter (double ndFilter, index_type imageIndex, index_type channelIndex)=0
| Set the NDFilter property of Channel. More...
virtual void | setChannelName (const std::string &name, index_type imageIndex, index_type channelIndex)=0
| Set the Name property of Channel. More...
virtual void | setChannelPinholeSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > pinholeSize, index_type imageIndex, index_type channelIndex)=0
| Set the PinholeSize property of Channel. More...
virtual void | setChannelPockelCellSetting (int32_t pockelCellSetting, index_type imageIndex, index_type channelIndex)=0
| Set the PockelCellSetting property of Channel. More...
virtual void | setChannelSamplesPerPixel (ome::xml::model::primitives::PositiveInteger samplesPerPixel, index_type imageIndex, index_type channelIndex)=0
| Set the SamplesPerPixel property of Channel. More...
virtual void | setCommentAnnotationAnnotationRef (const std::string &annotation, index_type commentAnnotationIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of CommentAnnotation. More...
virtual void | setCommentAnnotationAnnotator (const std::string &annotator, index_type commentAnnotationIndex)=0
| Set the Annotator property of CommentAnnotation. More...
virtual void | setCommentAnnotationDescription (const std::string &description, index_type commentAnnotationIndex)=0
| Set the Description property of CommentAnnotation. More...
virtual void | setCommentAnnotationID (const std::string &id, index_type commentAnnotationIndex)=0
| Set the ID property of CommentAnnotation. More...
virtual void | setCommentAnnotationNamespace (const std::string &namespace_, index_type commentAnnotationIndex)=0
| Set the Namespace property of CommentAnnotation. More...
virtual void | setCommentAnnotationValue (const std::string &value, index_type commentAnnotationIndex)=0
| Set the Value property of CommentAnnotation. More...
virtual void | setDatasetAnnotationRef (const std::string &annotation, index_type datasetIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Dataset. More...
virtual void | setDatasetDescription (const std::string &description, index_type datasetIndex)=0
| Set the Description property of Dataset. More...
virtual void | setDatasetExperimenterGroupRef (const std::string &experimenterGroup, index_type datasetIndex)=0
| Set the ExperimenterGroupRef property of Dataset. More...
virtual void | setDatasetExperimenterRef (const std::string &experimenter, index_type datasetIndex)=0
| Set the ExperimenterRef property of Dataset. More...
virtual void | setDatasetID (const std::string &id, index_type datasetIndex)=0
| Set the ID property of Dataset. More...
virtual void | setDatasetImageRef (const std::string &image, index_type datasetIndex, index_type imageRefIndex=0)=0
| Set the ImageRef property of Dataset. More...
virtual void | setDatasetName (const std::string &name, index_type datasetIndex)=0
| Set the Name property of Dataset. More...
virtual void | setDetectorAmplificationGain (double amplificationGain, index_type instrumentIndex, index_type detectorIndex)=0
| Set the AmplificationGain property of Detector. More...
virtual void | setDetectorAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type detectorIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Detector. More...
virtual void | setDetectorGain (double gain, index_type instrumentIndex, index_type detectorIndex)=0
| Set the Gain property of Detector. More...
virtual void | setDetectorID (const std::string &id, index_type instrumentIndex, index_type detectorIndex)=0
| Set the ID property of Detector. More...
virtual void | setDetectorLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type detectorIndex)=0
| Set the LotNumber property of Detector. More...
virtual void | setDetectorManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type detectorIndex)=0
| Set the Manufacturer property of Detector. More...
virtual void | setDetectorModel (const std::string &model, index_type instrumentIndex, index_type detectorIndex)=0
| Set the Model property of Detector. More...
virtual void | setDetectorOffset (double offset, index_type instrumentIndex, index_type detectorIndex)=0
| Set the Offset property of Detector. More...
virtual void | setDetectorSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type detectorIndex)=0
| Set the SerialNumber property of Detector. More...
virtual void | setDetectorType (ome::xml::model::enums::DetectorType type, index_type instrumentIndex, index_type detectorIndex)=0
| Set the Type property of Detector. More...
virtual void | setDetectorVoltage (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsElectricPotential > voltage, index_type instrumentIndex, index_type detectorIndex)=0
| Set the Voltage property of Detector. More...
virtual void | setDetectorZoom (double zoom, index_type instrumentIndex, index_type detectorIndex)=0
| Set the Zoom property of Detector. More...
virtual void | setDetectorSettingsBinning (ome::xml::model::enums::Binning binning, index_type imageIndex, index_type channelIndex)=0
| Set the Binning property of DetectorSettings. More...
virtual void | setDetectorSettingsGain (double gain, index_type imageIndex, index_type channelIndex)=0
| Set the Gain property of DetectorSettings. More...
virtual void | setDetectorSettingsID (const std::string &id, index_type imageIndex, index_type channelIndex)=0
| Set the ID property of DetectorSettings. More...
virtual void | setDetectorSettingsIntegration (ome::xml::model::primitives::PositiveInteger integration, index_type imageIndex, index_type channelIndex)=0
| Set the Integration property of DetectorSettings. More...
virtual void | setDetectorSettingsOffset (double offset, index_type imageIndex, index_type channelIndex)=0
| Set the Offset property of DetectorSettings. More...
virtual void | setDetectorSettingsReadOutRate (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsFrequency > readOutRate, index_type imageIndex, index_type channelIndex)=0
| Set the ReadOutRate property of DetectorSettings. More...
virtual void | setDetectorSettingsVoltage (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsElectricPotential > voltage, index_type imageIndex, index_type channelIndex)=0
| Set the Voltage property of DetectorSettings. More...
virtual void | setDetectorSettingsZoom (double zoom, index_type imageIndex, index_type channelIndex)=0
| Set the Zoom property of DetectorSettings. More...
virtual void | setDichroicAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type dichroicIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Dichroic. More...
virtual void | setDichroicID (const std::string &id, index_type instrumentIndex, index_type dichroicIndex)=0
| Set the ID property of Dichroic. More...
virtual void | setDichroicLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type dichroicIndex)=0
| Set the LotNumber property of Dichroic. More...
virtual void | setDichroicManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type dichroicIndex)=0
| Set the Manufacturer property of Dichroic. More...
virtual void | setDichroicModel (const std::string &model, index_type instrumentIndex, index_type dichroicIndex)=0
| Set the Model property of Dichroic. More...
virtual void | setDichroicSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type dichroicIndex)=0
| Set the SerialNumber property of Dichroic. More...
virtual void | setDoubleAnnotationAnnotationRef (const std::string &annotation, index_type doubleAnnotationIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of DoubleAnnotation. More...
virtual void | setDoubleAnnotationAnnotator (const std::string &annotator, index_type doubleAnnotationIndex)=0
| Set the Annotator property of DoubleAnnotation. More...
virtual void | setDoubleAnnotationDescription (const std::string &description, index_type doubleAnnotationIndex)=0
| Set the Description property of DoubleAnnotation. More...
virtual void | setDoubleAnnotationID (const std::string &id, index_type doubleAnnotationIndex)=0
| Set the ID property of DoubleAnnotation. More...
virtual void | setDoubleAnnotationNamespace (const std::string &namespace_, index_type doubleAnnotationIndex)=0
| Set the Namespace property of DoubleAnnotation. More...
virtual void | setDoubleAnnotationValue (double value, index_type doubleAnnotationIndex)=0
| Set the Value property of DoubleAnnotation. More...
virtual void | setEllipseAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Ellipse. More...
virtual void | setEllipseFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillColor property of Ellipse. More...
virtual void | setEllipseFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillRule property of Ellipse. More...
virtual void | setEllipseFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontFamily property of Ellipse. More...
virtual void | setEllipseFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontSize property of Ellipse. More...
virtual void | setEllipseFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontStyle property of Ellipse. More...
virtual void | setEllipseID (const std::string &id, index_type ROIIndex, index_type shapeIndex)=0
| Set the ID property of Ellipse. More...
virtual void | setEllipseLocked (bool locked, index_type ROIIndex, index_type shapeIndex)=0
| Set the Locked property of Ellipse. More...
virtual void | setEllipseRadiusX (double radiusX, index_type ROIIndex, index_type shapeIndex)=0
| Set the RadiusX property of Ellipse. More...
virtual void | setEllipseRadiusY (double radiusY, index_type ROIIndex, index_type shapeIndex)=0
| Set the RadiusY property of Ellipse. More...
virtual void | setEllipseStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeColor property of Ellipse. More...
virtual void | setEllipseStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeDashArray property of Ellipse. More...
virtual void | setEllipseStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeWidth property of Ellipse. More...
virtual void | setEllipseText (const std::string &text, index_type ROIIndex, index_type shapeIndex)=0
| Set the Text property of Ellipse. More...
virtual void | setEllipseTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheC property of Ellipse. More...
virtual void | setEllipseTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheT property of Ellipse. More...
virtual void | setEllipseTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheZ property of Ellipse. More...
virtual void | setEllipseTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)=0
| Set the Transform property of Ellipse. More...
virtual void | setEllipseX (double x, index_type ROIIndex, index_type shapeIndex)=0
| Set the X property of Ellipse. More...
virtual void | setEllipseY (double y, index_type ROIIndex, index_type shapeIndex)=0
| Set the Y property of Ellipse. More...
virtual void | setExperimentDescription (const std::string &description, index_type experimentIndex)=0
| Set the Description property of Experiment. More...
virtual void | setExperimentExperimenterRef (const std::string &experimenter, index_type experimentIndex)=0
| Set the ExperimenterRef property of Experiment. More...
virtual void | setExperimentID (const std::string &id, index_type experimentIndex)=0
| Set the ID property of Experiment. More...
virtual void | setExperimentType (ome::xml::model::enums::ExperimentType type, index_type experimentIndex)=0
| Set the Type property of Experiment. More...
virtual void | setExperimenterAnnotationRef (const std::string &annotation, index_type experimenterIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Experimenter. More...
virtual void | setExperimenterEmail (const std::string &email, index_type experimenterIndex)=0
| Set the Email property of Experimenter. More...
virtual void | setExperimenterFirstName (const std::string &firstName, index_type experimenterIndex)=0
| Set the FirstName property of Experimenter. More...
virtual void | setExperimenterID (const std::string &id, index_type experimenterIndex)=0
| Set the ID property of Experimenter. More...
virtual void | setExperimenterInstitution (const std::string &institution, index_type experimenterIndex)=0
| Set the Institution property of Experimenter. More...
virtual void | setExperimenterLastName (const std::string &lastName, index_type experimenterIndex)=0
| Set the LastName property of Experimenter. More...
virtual void | setExperimenterMiddleName (const std::string &middleName, index_type experimenterIndex)=0
| Set the MiddleName property of Experimenter. More...
virtual void | setExperimenterUserName (const std::string &userName, index_type experimenterIndex)=0
| Set the UserName property of Experimenter. More...
virtual void | setExperimenterGroupAnnotationRef (const std::string &annotation, index_type experimenterGroupIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of ExperimenterGroup. More...
virtual void | setExperimenterGroupDescription (const std::string &description, index_type experimenterGroupIndex)=0
| Set the Description property of ExperimenterGroup. More...
virtual void | setExperimenterGroupExperimenterRef (const std::string &experimenter, index_type experimenterGroupIndex, index_type experimenterRefIndex=0)=0
| Set the ExperimenterRef property of ExperimenterGroup. More...
virtual void | setExperimenterGroupID (const std::string &id, index_type experimenterGroupIndex)=0
| Set the ID property of ExperimenterGroup. More...
virtual void | setExperimenterGroupLeader (const std::string &leader, index_type experimenterGroupIndex, index_type leaderIndex=0)=0
| Set the Leader property of ExperimenterGroup. More...
virtual void | setExperimenterGroupName (const std::string &name, index_type experimenterGroupIndex)=0
| Set the Name property of ExperimenterGroup. More...
virtual void | setFilamentAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Filament. More...
virtual void | setFilamentID (const std::string &id, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the ID property of Filament. More...
virtual void | setFilamentLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the LotNumber property of Filament. More...
virtual void | setFilamentManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Manufacturer property of Filament. More...
virtual void | setFilamentModel (const std::string &model, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Model property of Filament. More...
virtual void | setFilamentPower (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > power, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Power property of Filament. More...
virtual void | setFilamentSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the SerialNumber property of Filament. More...
virtual void | setFilamentType (ome::xml::model::enums::FilamentType type, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Type property of Filament. More...
virtual void | setFileAnnotationAnnotationRef (const std::string &annotation, index_type fileAnnotationIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of FileAnnotation. More...
virtual void | setFileAnnotationAnnotator (const std::string &annotator, index_type fileAnnotationIndex)=0
| Set the Annotator property of FileAnnotation. More...
virtual void | setFileAnnotationDescription (const std::string &description, index_type fileAnnotationIndex)=0
| Set the Description property of FileAnnotation. More...
virtual void | setFileAnnotationID (const std::string &id, index_type fileAnnotationIndex)=0
| Set the ID property of FileAnnotation. More...
virtual void | setFileAnnotationNamespace (const std::string &namespace_, index_type fileAnnotationIndex)=0
| Set the Namespace property of FileAnnotation. More...
virtual void | setFilterAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type filterIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Filter. More...
virtual void | setFilterFilterWheel (const std::string &filterWheel, index_type instrumentIndex, index_type filterIndex)=0
| Set the FilterWheel property of Filter. More...
virtual void | setFilterID (const std::string &id, index_type instrumentIndex, index_type filterIndex)=0
| Set the ID property of Filter. More...
virtual void | setFilterLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type filterIndex)=0
| Set the LotNumber property of Filter. More...
virtual void | setFilterManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type filterIndex)=0
| Set the Manufacturer property of Filter. More...
virtual void | setFilterModel (const std::string &model, index_type instrumentIndex, index_type filterIndex)=0
| Set the Model property of Filter. More...
virtual void | setFilterSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type filterIndex)=0
| Set the SerialNumber property of Filter. More...
virtual void | setFilterType (ome::xml::model::enums::FilterType type, index_type instrumentIndex, index_type filterIndex)=0
| Set the Type property of Filter. More...
virtual void | setFilterSetDichroicRef (const std::string &dichroic, index_type instrumentIndex, index_type filterSetIndex)=0
| Set the DichroicRef property of FilterSet. More...
virtual void | setFilterSetEmissionFilterRef (const std::string &emissionFilter, index_type instrumentIndex, index_type filterSetIndex, index_type emissionFilterRefIndex=0)=0
| Set the EmissionFilterRef property of FilterSet. More...
virtual void | setFilterSetExcitationFilterRef (const std::string &excitationFilter, index_type instrumentIndex, index_type filterSetIndex, index_type excitationFilterRefIndex=0)=0
| Set the ExcitationFilterRef property of FilterSet. More...
virtual void | setFilterSetID (const std::string &id, index_type instrumentIndex, index_type filterSetIndex)=0
| Set the ID property of FilterSet. More...
virtual void | setFilterSetLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type filterSetIndex)=0
| Set the LotNumber property of FilterSet. More...
virtual void | setFilterSetManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type filterSetIndex)=0
| Set the Manufacturer property of FilterSet. More...
virtual void | setFilterSetModel (const std::string &model, index_type instrumentIndex, index_type filterSetIndex)=0
| Set the Model property of FilterSet. More...
virtual void | setFilterSetSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type filterSetIndex)=0
| Set the SerialNumber property of FilterSet. More...
virtual void | setFolderAnnotationRef (const std::string &annotation, index_type folderIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Folder. More...
virtual void | setFolderDescription (const std::string &description, index_type folderIndex)=0
| Set the Description property of Folder. More...
virtual void | setFolderFolderRef (const std::string &folder, index_type folderIndex, index_type folderRefIndex=0)=0
| Set the FolderRef property of Folder. More...
virtual void | setFolderID (const std::string &id, index_type folderIndex)=0
| Set the ID property of Folder. More...
virtual void | setFolderImageRef (const std::string &image, index_type folderIndex, index_type imageRefIndex=0)=0
| Set the ImageRef property of Folder. More...
virtual void | setFolderName (const std::string &name, index_type folderIndex)=0
| Set the Name property of Folder. More...
virtual void | setFolderROIRef (const std::string &roi, index_type folderIndex, index_type ROIRefIndex=0)=0
| Set the ROIRef property of Folder. More...
virtual void | setGenericExcitationSourceAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of GenericExcitationSource. More...
virtual void | setGenericExcitationSourceID (const std::string &id, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the ID property of GenericExcitationSource. More...
virtual void | setGenericExcitationSourceLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the LotNumber property of GenericExcitationSource. More...
virtual void | setGenericExcitationSourceManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Manufacturer property of GenericExcitationSource. More...
virtual void | setGenericExcitationSourceModel (const std::string &model, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Model property of GenericExcitationSource. More...
virtual void | setGenericExcitationSourcePower (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > power, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Power property of GenericExcitationSource. More...
virtual void | setGenericExcitationSourceSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the SerialNumber property of GenericExcitationSource. More...
virtual void | setImageAcquisitionDate (ome::xml::model::primitives::Timestamp acquisitionDate, index_type imageIndex)=0
| Set the AcquisitionDate property of Image. More...
virtual void | setImageAnnotationRef (const std::string &annotation, index_type imageIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Image. More...
virtual void | setImageDescription (const std::string &description, index_type imageIndex)=0
| Set the Description property of Image. More...
virtual void | setImageExperimentRef (const std::string &experiment, index_type imageIndex)=0
| Set the ExperimentRef property of Image. More...
virtual void | setImageExperimenterGroupRef (const std::string &experimenterGroup, index_type imageIndex)=0
| Set the ExperimenterGroupRef property of Image. More...
virtual void | setImageExperimenterRef (const std::string &experimenter, index_type imageIndex)=0
| Set the ExperimenterRef property of Image. More...
virtual void | setImageID (const std::string &id, index_type imageIndex)=0
| Set the ID property of Image. More...
virtual void | setImageInstrumentRef (const std::string &instrument, index_type imageIndex)=0
| Set the InstrumentRef property of Image. More...
virtual void | setImageMicrobeamManipulationRef (const std::string &microbeamManipulation, index_type imageIndex, index_type microbeamManipulationRefIndex=0)=0
| Set the MicrobeamManipulationRef property of Image. More...
virtual void | setImageName (const std::string &name, index_type imageIndex)=0
| Set the Name property of Image. More...
virtual void | setImageROIRef (const std::string &roi, index_type imageIndex, index_type ROIRefIndex=0)=0
| Set the ROIRef property of Image. More...
virtual void | setImagingEnvironmentAirPressure (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPressure > airPressure, index_type imageIndex)=0
| Set the AirPressure property of ImagingEnvironment. More...
virtual void | setImagingEnvironmentCO2Percent (ome::xml::model::primitives::PercentFraction co2Percent, index_type imageIndex)=0
| Set the CO2Percent property of ImagingEnvironment. More...
virtual void | setImagingEnvironmentHumidity (ome::xml::model::primitives::PercentFraction humidity, index_type imageIndex)=0
| Set the Humidity property of ImagingEnvironment. More...
virtual void | setImagingEnvironmentTemperature (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTemperature > temperature, index_type imageIndex)=0
| Set the Temperature property of ImagingEnvironment. More...
virtual void | setInstrumentAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Instrument. More...
virtual void | setInstrumentID (const std::string &id, index_type instrumentIndex)=0
| Set the ID property of Instrument. More...
virtual void | setLabelAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Label. More...
virtual void | setLabelFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillColor property of Label. More...
virtual void | setLabelFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillRule property of Label. More...
virtual void | setLabelFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontFamily property of Label. More...
virtual void | setLabelFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontSize property of Label. More...
virtual void | setLabelFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontStyle property of Label. More...
virtual void | setLabelID (const std::string &id, index_type ROIIndex, index_type shapeIndex)=0
| Set the ID property of Label. More...
virtual void | setLabelLocked (bool locked, index_type ROIIndex, index_type shapeIndex)=0
| Set the Locked property of Label. More...
virtual void | setLabelStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeColor property of Label. More...
virtual void | setLabelStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeDashArray property of Label. More...
virtual void | setLabelStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeWidth property of Label. More...
virtual void | setLabelText (const std::string &text, index_type ROIIndex, index_type shapeIndex)=0
| Set the Text property of Label. More...
virtual void | setLabelTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheC property of Label. More...
virtual void | setLabelTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheT property of Label. More...
virtual void | setLabelTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheZ property of Label. More...
virtual void | setLabelTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)=0
| Set the Transform property of Label. More...
virtual void | setLabelX (double x, index_type ROIIndex, index_type shapeIndex)=0
| Set the X property of Label. More...
virtual void | setLabelY (double y, index_type ROIIndex, index_type shapeIndex)=0
| Set the Y property of Label. More...
virtual void | setLaserAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Laser. More...
virtual void | setLaserFrequencyMultiplication (ome::xml::model::primitives::PositiveInteger frequencyMultiplication, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the FrequencyMultiplication property of Laser. More...
virtual void | setLaserID (const std::string &id, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the ID property of Laser. More...
virtual void | setLaserLaserMedium (ome::xml::model::enums::LaserMedium laserMedium, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the LaserMedium property of Laser. More...
virtual void | setLaserLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the LotNumber property of Laser. More...
virtual void | setLaserManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Manufacturer property of Laser. More...
virtual void | setLaserModel (const std::string &model, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Model property of Laser. More...
virtual void | setLaserPockelCell (bool pockelCell, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the PockelCell property of Laser. More...
virtual void | setLaserPower (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > power, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Power property of Laser. More...
virtual void | setLaserPulse (ome::xml::model::enums::Pulse pulse, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Pulse property of Laser. More...
virtual void | setLaserPump (const std::string &pump, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Pump property of Laser. More...
virtual void | setLaserRepetitionRate (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsFrequency > repetitionRate, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the RepetitionRate property of Laser. More...
virtual void | setLaserSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the SerialNumber property of Laser. More...
virtual void | setLaserTuneable (bool tuneable, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Tuneable property of Laser. More...
virtual void | setLaserType (ome::xml::model::enums::LaserType type, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Type property of Laser. More...
virtual void | setLaserWavelength (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > wavelength, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Wavelength property of Laser. More...
virtual void | setLightEmittingDiodeAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of LightEmittingDiode. More...
virtual void | setLightEmittingDiodeID (const std::string &id, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the ID property of LightEmittingDiode. More...
virtual void | setLightEmittingDiodeLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the LotNumber property of LightEmittingDiode. More...
virtual void | setLightEmittingDiodeManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Manufacturer property of LightEmittingDiode. More...
virtual void | setLightEmittingDiodeModel (const std::string &model, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Model property of LightEmittingDiode. More...
virtual void | setLightEmittingDiodePower (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > power, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the Power property of LightEmittingDiode. More...
virtual void | setLightEmittingDiodeSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type lightSourceIndex)=0
| Set the SerialNumber property of LightEmittingDiode. More...
virtual void | setLightPathAnnotationRef (const std::string &annotation, index_type imageIndex, index_type channelIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of LightPath. More...
virtual void | setLightPathDichroicRef (const std::string &dichroic, index_type imageIndex, index_type channelIndex)=0
| Set the DichroicRef property of LightPath. More...
virtual void | setLightPathEmissionFilterRef (const std::string &emissionFilter, index_type imageIndex, index_type channelIndex, index_type emissionFilterRefIndex=0)=0
| Set the EmissionFilterRef property of LightPath. More...
virtual void | setLightPathExcitationFilterRef (const std::string &excitationFilter, index_type imageIndex, index_type channelIndex, index_type excitationFilterRefIndex=0)=0
| Set the ExcitationFilterRef property of LightPath. More...
virtual void | setChannelLightSourceSettingsAttenuation (ome::xml::model::primitives::PercentFraction attenuation, index_type imageIndex, index_type channelIndex)=0
| Set the Attenuation property of LightSourceSettings. More...
virtual void | setMicrobeamManipulationLightSourceSettingsAttenuation (ome::xml::model::primitives::PercentFraction attenuation, index_type experimentIndex, index_type microbeamManipulationIndex, index_type lightSourceSettingsIndex)=0
| Set the Attenuation property of LightSourceSettings. More...
virtual void | setChannelLightSourceSettingsID (const std::string &id, index_type imageIndex, index_type channelIndex)=0
| Set the ID property of LightSourceSettings. More...
virtual void | setMicrobeamManipulationLightSourceSettingsID (const std::string &id, index_type experimentIndex, index_type microbeamManipulationIndex, index_type lightSourceSettingsIndex)=0
| Set the ID property of LightSourceSettings. More...
virtual void | setChannelLightSourceSettingsWavelength (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > wavelength, index_type imageIndex, index_type channelIndex)=0
| Set the Wavelength property of LightSourceSettings. More...
virtual void | setMicrobeamManipulationLightSourceSettingsWavelength (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > wavelength, index_type experimentIndex, index_type microbeamManipulationIndex, index_type lightSourceSettingsIndex)=0
| Set the Wavelength property of LightSourceSettings. More...
virtual void | setLineAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Line. More...
virtual void | setLineFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillColor property of Line. More...
virtual void | setLineFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillRule property of Line. More...
virtual void | setLineFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontFamily property of Line. More...
virtual void | setLineFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontSize property of Line. More...
virtual void | setLineFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontStyle property of Line. More...
virtual void | setLineID (const std::string &id, index_type ROIIndex, index_type shapeIndex)=0
| Set the ID property of Line. More...
virtual void | setLineLocked (bool locked, index_type ROIIndex, index_type shapeIndex)=0
| Set the Locked property of Line. More...
virtual void | setLineMarkerEnd (ome::xml::model::enums::Marker markerEnd, index_type ROIIndex, index_type shapeIndex)=0
| Set the MarkerEnd property of Line. More...
virtual void | setLineMarkerStart (ome::xml::model::enums::Marker markerStart, index_type ROIIndex, index_type shapeIndex)=0
| Set the MarkerStart property of Line. More...
virtual void | setLineStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeColor property of Line. More...
virtual void | setLineStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeDashArray property of Line. More...
virtual void | setLineStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeWidth property of Line. More...
virtual void | setLineText (const std::string &text, index_type ROIIndex, index_type shapeIndex)=0
| Set the Text property of Line. More...
virtual void | setLineTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheC property of Line. More...
virtual void | setLineTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheT property of Line. More...
virtual void | setLineTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheZ property of Line. More...
virtual void | setLineTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)=0
| Set the Transform property of Line. More...
virtual void | setLineX1 (double x1, index_type ROIIndex, index_type shapeIndex)=0
| Set the X1 property of Line. More...
virtual void | setLineX2 (double x2, index_type ROIIndex, index_type shapeIndex)=0
| Set the X2 property of Line. More...
virtual void | setLineY1 (double y1, index_type ROIIndex, index_type shapeIndex)=0
| Set the Y1 property of Line. More...
virtual void | setLineY2 (double y2, index_type ROIIndex, index_type shapeIndex)=0
| Set the Y2 property of Line. More...
virtual void | setListAnnotationAnnotationRef (const std::string &annotation, index_type listAnnotationIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of ListAnnotation. More...
virtual void | setListAnnotationAnnotator (const std::string &annotator, index_type listAnnotationIndex)=0
| Set the Annotator property of ListAnnotation. More...
virtual void | setListAnnotationDescription (const std::string &description, index_type listAnnotationIndex)=0
| Set the Description property of ListAnnotation. More...
virtual void | setListAnnotationID (const std::string &id, index_type listAnnotationIndex)=0
| Set the ID property of ListAnnotation. More...
virtual void | setListAnnotationNamespace (const std::string &namespace_, index_type listAnnotationIndex)=0
| Set the Namespace property of ListAnnotation. More...
virtual void | setLongAnnotationAnnotationRef (const std::string &annotation, index_type longAnnotationIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of LongAnnotation. More...
virtual void | setLongAnnotationAnnotator (const std::string &annotator, index_type longAnnotationIndex)=0
| Set the Annotator property of LongAnnotation. More...
virtual void | setLongAnnotationDescription (const std::string &description, index_type longAnnotationIndex)=0
| Set the Description property of LongAnnotation. More...
virtual void | setLongAnnotationID (const std::string &id, index_type longAnnotationIndex)=0
| Set the ID property of LongAnnotation. More...
virtual void | setLongAnnotationNamespace (const std::string &namespace_, index_type longAnnotationIndex)=0
| Set the Namespace property of LongAnnotation. More...
virtual void | setLongAnnotationValue (int64_t value, index_type longAnnotationIndex)=0
| Set the Value property of LongAnnotation. More...
virtual void | setMapAnnotationAnnotationRef (const std::string &annotation, index_type mapAnnotationIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of MapAnnotation. More...
virtual void | setMapAnnotationAnnotator (const std::string &annotator, index_type mapAnnotationIndex)=0
| Set the Annotator property of MapAnnotation. More...
virtual void | setMapAnnotationDescription (const std::string &description, index_type mapAnnotationIndex)=0
| Set the Description property of MapAnnotation. More...
virtual void | setMapAnnotationID (const std::string &id, index_type mapAnnotationIndex)=0
| Set the ID property of MapAnnotation. More...
virtual void | setMapAnnotationNamespace (const std::string &namespace_, index_type mapAnnotationIndex)=0
| Set the Namespace property of MapAnnotation. More...
virtual void | setMaskAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Mask. More...
virtual void | setMaskFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillColor property of Mask. More...
virtual void | setMaskFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillRule property of Mask. More...
virtual void | setMaskFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontFamily property of Mask. More...
virtual void | setMaskFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontSize property of Mask. More...
virtual void | setMaskFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontStyle property of Mask. More...
virtual void | setMaskHeight (double height, index_type ROIIndex, index_type shapeIndex)=0
| Set the Height property of Mask. More...
virtual void | setMaskID (const std::string &id, index_type ROIIndex, index_type shapeIndex)=0
| Set the ID property of Mask. More...
virtual void | setMaskLocked (bool locked, index_type ROIIndex, index_type shapeIndex)=0
| Set the Locked property of Mask. More...
virtual void | setMaskStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeColor property of Mask. More...
virtual void | setMaskStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeDashArray property of Mask. More...
virtual void | setMaskStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeWidth property of Mask. More...
virtual void | setMaskText (const std::string &text, index_type ROIIndex, index_type shapeIndex)=0
| Set the Text property of Mask. More...
virtual void | setMaskTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheC property of Mask. More...
virtual void | setMaskTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheT property of Mask. More...
virtual void | setMaskTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheZ property of Mask. More...
virtual void | setMaskTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)=0
| Set the Transform property of Mask. More...
virtual void | setMaskWidth (double width, index_type ROIIndex, index_type shapeIndex)=0
| Set the Width property of Mask. More...
virtual void | setMaskX (double x, index_type ROIIndex, index_type shapeIndex)=0
| Set the X property of Mask. More...
virtual void | setMaskY (double y, index_type ROIIndex, index_type shapeIndex)=0
| Set the Y property of Mask. More...
virtual void | setMicrobeamManipulationDescription (const std::string &description, index_type experimentIndex, index_type microbeamManipulationIndex)=0
| Set the Description property of MicrobeamManipulation. More...
virtual void | setMicrobeamManipulationExperimenterRef (const std::string &experimenter, index_type experimentIndex, index_type microbeamManipulationIndex)=0
| Set the ExperimenterRef property of MicrobeamManipulation. More...
virtual void | setMicrobeamManipulationID (const std::string &id, index_type experimentIndex, index_type microbeamManipulationIndex)=0
| Set the ID property of MicrobeamManipulation. More...
virtual void | setMicrobeamManipulationROIRef (const std::string &roi, index_type experimentIndex, index_type microbeamManipulationIndex, index_type ROIRefIndex=0)=0
| Set the ROIRef property of MicrobeamManipulation. More...
virtual void | setMicrobeamManipulationType (ome::xml::model::enums::MicrobeamManipulationType type, index_type experimentIndex, index_type microbeamManipulationIndex)=0
| Set the Type property of MicrobeamManipulation. More...
virtual void | setMicroscopeLotNumber (const std::string &lotNumber, index_type instrumentIndex)=0
| Set the LotNumber property of Microscope. More...
virtual void | setMicroscopeManufacturer (const std::string &manufacturer, index_type instrumentIndex)=0
| Set the Manufacturer property of Microscope. More...
virtual void | setMicroscopeModel (const std::string &model, index_type instrumentIndex)=0
| Set the Model property of Microscope. More...
virtual void | setMicroscopeSerialNumber (const std::string &serialNumber, index_type instrumentIndex)=0
| Set the SerialNumber property of Microscope. More...
virtual void | setMicroscopeType (ome::xml::model::enums::MicroscopeType type, index_type instrumentIndex)=0
| Set the Type property of Microscope. More...
virtual void | setObjectiveAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type objectiveIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Objective. More...
virtual void | setObjectiveCalibratedMagnification (double calibratedMagnification, index_type instrumentIndex, index_type objectiveIndex)=0
| Set the CalibratedMagnification property of Objective. More...
virtual void | setObjectiveCorrection (ome::xml::model::enums::Correction correction, index_type instrumentIndex, index_type objectiveIndex)=0
| Set the Correction property of Objective. More...
virtual void | setObjectiveID (const std::string &id, index_type instrumentIndex, index_type objectiveIndex)=0
| Set the ID property of Objective. More...
virtual void | setObjectiveImmersion (ome::xml::model::enums::Immersion immersion, index_type instrumentIndex, index_type objectiveIndex)=0
| Set the Immersion property of Objective. More...
virtual void | setObjectiveIris (bool iris, index_type instrumentIndex, index_type objectiveIndex)=0
| Set the Iris property of Objective. More...
virtual void | setObjectiveLensNA (double lensNA, index_type instrumentIndex, index_type objectiveIndex)=0
| Set the LensNA property of Objective. More...
virtual void | setObjectiveLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type objectiveIndex)=0
| Set the LotNumber property of Objective. More...
virtual void | setObjectiveManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type objectiveIndex)=0
| Set the Manufacturer property of Objective. More...
virtual void | setObjectiveModel (const std::string &model, index_type instrumentIndex, index_type objectiveIndex)=0
| Set the Model property of Objective. More...
virtual void | setObjectiveNominalMagnification (double nominalMagnification, index_type instrumentIndex, index_type objectiveIndex)=0
| Set the NominalMagnification property of Objective. More...
virtual void | setObjectiveSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type objectiveIndex)=0
| Set the SerialNumber property of Objective. More...
virtual void | setObjectiveWorkingDistance (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > workingDistance, index_type instrumentIndex, index_type objectiveIndex)=0
| Set the WorkingDistance property of Objective. More...
virtual void | setObjectiveSettingsCorrectionCollar (double correctionCollar, index_type imageIndex)=0
| Set the CorrectionCollar property of ObjectiveSettings. More...
virtual void | setObjectiveSettingsID (const std::string &id, index_type imageIndex)=0
| Set the ID property of ObjectiveSettings. More...
virtual void | setObjectiveSettingsMedium (ome::xml::model::enums::Medium medium, index_type imageIndex)=0
| Set the Medium property of ObjectiveSettings. More...
virtual void | setObjectiveSettingsRefractiveIndex (double refractiveIndex, index_type imageIndex)=0
| Set the RefractiveIndex property of ObjectiveSettings. More...
virtual void | setPixelsBigEndian (bool bigEndian, index_type imageIndex)=0
| Set the BigEndian property of Pixels. More...
virtual void | setPixelsDimensionOrder (ome::xml::model::enums::DimensionOrder dimensionOrder, index_type imageIndex)=0
| Set the DimensionOrder property of Pixels. More...
virtual void | setPixelsID (const std::string &id, index_type imageIndex)=0
| Set the ID property of Pixels. More...
virtual void | setPixelsInterleaved (bool interleaved, index_type imageIndex)=0
| Set the Interleaved property of Pixels. More...
virtual void | setPixelsPhysicalSizeX (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > physicalSizeX, index_type imageIndex)=0
| Set the PhysicalSizeX property of Pixels. More...
virtual void | setPixelsPhysicalSizeY (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > physicalSizeY, index_type imageIndex)=0
| Set the PhysicalSizeY property of Pixels. More...
virtual void | setPixelsPhysicalSizeZ (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > physicalSizeZ, index_type imageIndex)=0
| Set the PhysicalSizeZ property of Pixels. More...
virtual void | setPixelsSignificantBits (ome::xml::model::primitives::PositiveInteger significantBits, index_type imageIndex)=0
| Set the SignificantBits property of Pixels. More...
virtual void | setPixelsSizeC (ome::xml::model::primitives::PositiveInteger sizeC, index_type imageIndex)=0
| Set the SizeC property of Pixels. More...
virtual void | setPixelsSizeT (ome::xml::model::primitives::PositiveInteger sizeT, index_type imageIndex)=0
| Set the SizeT property of Pixels. More...
virtual void | setPixelsSizeX (ome::xml::model::primitives::PositiveInteger sizeX, index_type imageIndex)=0
| Set the SizeX property of Pixels. More...
virtual void | setPixelsSizeY (ome::xml::model::primitives::PositiveInteger sizeY, index_type imageIndex)=0
| Set the SizeY property of Pixels. More...
virtual void | setPixelsSizeZ (ome::xml::model::primitives::PositiveInteger sizeZ, index_type imageIndex)=0
| Set the SizeZ property of Pixels. More...
virtual void | setPixelsTimeIncrement (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > timeIncrement, index_type imageIndex)=0
| Set the TimeIncrement property of Pixels. More...
virtual void | setPixelsType (ome::xml::model::enums::PixelType type, index_type imageIndex)=0
| Set the Type property of Pixels. More...
virtual void | setPlaneAnnotationRef (const std::string &annotation, index_type imageIndex, index_type planeIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Plane. More...
virtual void | setPlaneDeltaT (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > deltaT, index_type imageIndex, index_type planeIndex)=0
| Set the DeltaT property of Plane. More...
virtual void | setPlaneExposureTime (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > exposureTime, index_type imageIndex, index_type planeIndex)=0
| Set the ExposureTime property of Plane. More...
virtual void | setPlaneHashSHA1 (const std::string &hashSHA1, index_type imageIndex, index_type planeIndex)=0
| Set the HashSHA1 property of Plane. More...
virtual void | setPlanePositionX (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > positionX, index_type imageIndex, index_type planeIndex)=0
| Set the PositionX property of Plane. More...
virtual void | setPlanePositionY (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > positionY, index_type imageIndex, index_type planeIndex)=0
| Set the PositionY property of Plane. More...
virtual void | setPlanePositionZ (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > positionZ, index_type imageIndex, index_type planeIndex)=0
| Set the PositionZ property of Plane. More...
virtual void | setPlaneTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type imageIndex, index_type planeIndex)=0
| Set the TheC property of Plane. More...
virtual void | setPlaneTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type imageIndex, index_type planeIndex)=0
| Set the TheT property of Plane. More...
virtual void | setPlaneTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type imageIndex, index_type planeIndex)=0
| Set the TheZ property of Plane. More...
virtual void | setPlateAnnotationRef (const std::string &annotation, index_type plateIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Plate. More...
virtual void | setPlateColumnNamingConvention (ome::xml::model::enums::NamingConvention columnNamingConvention, index_type plateIndex)=0
| Set the ColumnNamingConvention property of Plate. More...
virtual void | setPlateColumns (ome::xml::model::primitives::PositiveInteger columns, index_type plateIndex)=0
| Set the Columns property of Plate. More...
virtual void | setPlateDescription (const std::string &description, index_type plateIndex)=0
| Set the Description property of Plate. More...
virtual void | setPlateExternalIdentifier (const std::string &externalIdentifier, index_type plateIndex)=0
| Set the ExternalIdentifier property of Plate. More...
virtual void | setPlateFieldIndex (ome::xml::model::primitives::NonNegativeInteger fieldIndex, index_type plateIndex)=0
| Set the FieldIndex property of Plate. More...
virtual void | setPlateID (const std::string &id, index_type plateIndex)=0
| Set the ID property of Plate. More...
virtual void | setPlateName (const std::string &name, index_type plateIndex)=0
| Set the Name property of Plate. More...
virtual void | setPlateRowNamingConvention (ome::xml::model::enums::NamingConvention rowNamingConvention, index_type plateIndex)=0
| Set the RowNamingConvention property of Plate. More...
virtual void | setPlateRows (ome::xml::model::primitives::PositiveInteger rows, index_type plateIndex)=0
| Set the Rows property of Plate. More...
virtual void | setPlateStatus (const std::string &status, index_type plateIndex)=0
| Set the Status property of Plate. More...
virtual void | setPlateWellOriginX (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > wellOriginX, index_type plateIndex)=0
| Set the WellOriginX property of Plate. More...
virtual void | setPlateWellOriginY (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > wellOriginY, index_type plateIndex)=0
| Set the WellOriginY property of Plate. More...
virtual void | setPlateAcquisitionAnnotationRef (const std::string &annotation, index_type plateIndex, index_type plateAcquisitionIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of PlateAcquisition. More...
virtual void | setPlateAcquisitionDescription (const std::string &description, index_type plateIndex, index_type plateAcquisitionIndex)=0
| Set the Description property of PlateAcquisition. More...
virtual void | setPlateAcquisitionEndTime (ome::xml::model::primitives::Timestamp endTime, index_type plateIndex, index_type plateAcquisitionIndex)=0
| Set the EndTime property of PlateAcquisition. More...
virtual void | setPlateAcquisitionID (const std::string &id, index_type plateIndex, index_type plateAcquisitionIndex)=0
| Set the ID property of PlateAcquisition. More...
virtual void | setPlateAcquisitionMaximumFieldCount (ome::xml::model::primitives::PositiveInteger maximumFieldCount, index_type plateIndex, index_type plateAcquisitionIndex)=0
| Set the MaximumFieldCount property of PlateAcquisition. More...
virtual void | setPlateAcquisitionName (const std::string &name, index_type plateIndex, index_type plateAcquisitionIndex)=0
| Set the Name property of PlateAcquisition. More...
virtual void | setPlateAcquisitionStartTime (ome::xml::model::primitives::Timestamp startTime, index_type plateIndex, index_type plateAcquisitionIndex)=0
| Set the StartTime property of PlateAcquisition. More...
virtual void | setPlateAcquisitionWellSampleRef (const std::string &wellSample, index_type plateIndex, index_type plateAcquisitionIndex, index_type wellSampleRefIndex=0)=0
| Set the WellSampleRef property of PlateAcquisition. More...
virtual void | setPointAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Point. More...
virtual void | setPointFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillColor property of Point. More...
virtual void | setPointFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillRule property of Point. More...
virtual void | setPointFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontFamily property of Point. More...
virtual void | setPointFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontSize property of Point. More...
virtual void | setPointFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontStyle property of Point. More...
virtual void | setPointID (const std::string &id, index_type ROIIndex, index_type shapeIndex)=0
| Set the ID property of Point. More...
virtual void | setPointLocked (bool locked, index_type ROIIndex, index_type shapeIndex)=0
| Set the Locked property of Point. More...
virtual void | setPointStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeColor property of Point. More...
virtual void | setPointStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeDashArray property of Point. More...
virtual void | setPointStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeWidth property of Point. More...
virtual void | setPointText (const std::string &text, index_type ROIIndex, index_type shapeIndex)=0
| Set the Text property of Point. More...
virtual void | setPointTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheC property of Point. More...
virtual void | setPointTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheT property of Point. More...
virtual void | setPointTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheZ property of Point. More...
virtual void | setPointTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)=0
| Set the Transform property of Point. More...
virtual void | setPointX (double x, index_type ROIIndex, index_type shapeIndex)=0
| Set the X property of Point. More...
virtual void | setPointY (double y, index_type ROIIndex, index_type shapeIndex)=0
| Set the Y property of Point. More...
virtual void | setPolygonAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Polygon. More...
virtual void | setPolygonFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillColor property of Polygon. More...
virtual void | setPolygonFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillRule property of Polygon. More...
virtual void | setPolygonFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontFamily property of Polygon. More...
virtual void | setPolygonFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontSize property of Polygon. More...
virtual void | setPolygonFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontStyle property of Polygon. More...
virtual void | setPolygonID (const std::string &id, index_type ROIIndex, index_type shapeIndex)=0
| Set the ID property of Polygon. More...
virtual void | setPolygonLocked (bool locked, index_type ROIIndex, index_type shapeIndex)=0
| Set the Locked property of Polygon. More...
virtual void | setPolygonPoints (const std::string &points, index_type ROIIndex, index_type shapeIndex)=0
| Set the Points property of Polygon. More...
virtual void | setPolygonStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeColor property of Polygon. More...
virtual void | setPolygonStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeDashArray property of Polygon. More...
virtual void | setPolygonStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeWidth property of Polygon. More...
virtual void | setPolygonText (const std::string &text, index_type ROIIndex, index_type shapeIndex)=0
| Set the Text property of Polygon. More...
virtual void | setPolygonTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheC property of Polygon. More...
virtual void | setPolygonTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheT property of Polygon. More...
virtual void | setPolygonTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheZ property of Polygon. More...
virtual void | setPolygonTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)=0
| Set the Transform property of Polygon. More...
virtual void | setPolylineAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Polyline. More...
virtual void | setPolylineFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillColor property of Polyline. More...
virtual void | setPolylineFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillRule property of Polyline. More...
virtual void | setPolylineFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontFamily property of Polyline. More...
virtual void | setPolylineFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontSize property of Polyline. More...
virtual void | setPolylineFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontStyle property of Polyline. More...
virtual void | setPolylineID (const std::string &id, index_type ROIIndex, index_type shapeIndex)=0
| Set the ID property of Polyline. More...
virtual void | setPolylineLocked (bool locked, index_type ROIIndex, index_type shapeIndex)=0
| Set the Locked property of Polyline. More...
virtual void | setPolylineMarkerEnd (ome::xml::model::enums::Marker markerEnd, index_type ROIIndex, index_type shapeIndex)=0
| Set the MarkerEnd property of Polyline. More...
virtual void | setPolylineMarkerStart (ome::xml::model::enums::Marker markerStart, index_type ROIIndex, index_type shapeIndex)=0
| Set the MarkerStart property of Polyline. More...
virtual void | setPolylinePoints (const std::string &points, index_type ROIIndex, index_type shapeIndex)=0
| Set the Points property of Polyline. More...
virtual void | setPolylineStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeColor property of Polyline. More...
virtual void | setPolylineStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeDashArray property of Polyline. More...
virtual void | setPolylineStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeWidth property of Polyline. More...
virtual void | setPolylineText (const std::string &text, index_type ROIIndex, index_type shapeIndex)=0
| Set the Text property of Polyline. More...
virtual void | setPolylineTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheC property of Polyline. More...
virtual void | setPolylineTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheT property of Polyline. More...
virtual void | setPolylineTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheZ property of Polyline. More...
virtual void | setPolylineTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)=0
| Set the Transform property of Polyline. More...
virtual void | setProjectAnnotationRef (const std::string &annotation, index_type projectIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Project. More...
virtual void | setProjectDatasetRef (const std::string &dataset, index_type projectIndex, index_type datasetRefIndex=0)=0
| Set the DatasetRef property of Project. More...
virtual void | setProjectDescription (const std::string &description, index_type projectIndex)=0
| Set the Description property of Project. More...
virtual void | setProjectExperimenterGroupRef (const std::string &experimenterGroup, index_type projectIndex)=0
| Set the ExperimenterGroupRef property of Project. More...
virtual void | setProjectExperimenterRef (const std::string &experimenter, index_type projectIndex)=0
| Set the ExperimenterRef property of Project. More...
virtual void | setProjectID (const std::string &id, index_type projectIndex)=0
| Set the ID property of Project. More...
virtual void | setProjectName (const std::string &name, index_type projectIndex)=0
| Set the Name property of Project. More...
virtual void | setROIAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of ROI. More...
virtual void | setROIDescription (const std::string &description, index_type ROIIndex)=0
| Set the Description property of ROI. More...
virtual void | setROIID (const std::string &id, index_type ROIIndex)=0
| Set the ID property of ROI. More...
virtual void | setROIName (const std::string &name, index_type ROIIndex)=0
| Set the Name property of ROI. More...
virtual void | setReagentAnnotationRef (const std::string &annotation, index_type screenIndex, index_type reagentIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Reagent. More...
virtual void | setReagentDescription (const std::string &description, index_type screenIndex, index_type reagentIndex)=0
| Set the Description property of Reagent. More...
virtual void | setReagentID (const std::string &id, index_type screenIndex, index_type reagentIndex)=0
| Set the ID property of Reagent. More...
virtual void | setReagentName (const std::string &name, index_type screenIndex, index_type reagentIndex)=0
| Set the Name property of Reagent. More...
virtual void | setReagentReagentIdentifier (const std::string &reagentIdentifier, index_type screenIndex, index_type reagentIndex)=0
| Set the ReagentIdentifier property of Reagent. More...
virtual void | setRectangleAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Rectangle. More...
virtual void | setRectangleFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillColor property of Rectangle. More...
virtual void | setRectangleFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)=0
| Set the FillRule property of Rectangle. More...
virtual void | setRectangleFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontFamily property of Rectangle. More...
virtual void | setRectangleFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontSize property of Rectangle. More...
virtual void | setRectangleFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)=0
| Set the FontStyle property of Rectangle. More...
virtual void | setRectangleHeight (double height, index_type ROIIndex, index_type shapeIndex)=0
| Set the Height property of Rectangle. More...
virtual void | setRectangleID (const std::string &id, index_type ROIIndex, index_type shapeIndex)=0
| Set the ID property of Rectangle. More...
virtual void | setRectangleLocked (bool locked, index_type ROIIndex, index_type shapeIndex)=0
| Set the Locked property of Rectangle. More...
virtual void | setRectangleStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeColor property of Rectangle. More...
virtual void | setRectangleStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeDashArray property of Rectangle. More...
virtual void | setRectangleStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)=0
| Set the StrokeWidth property of Rectangle. More...
virtual void | setRectangleText (const std::string &text, index_type ROIIndex, index_type shapeIndex)=0
| Set the Text property of Rectangle. More...
virtual void | setRectangleTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheC property of Rectangle. More...
virtual void | setRectangleTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheT property of Rectangle. More...
virtual void | setRectangleTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)=0
| Set the TheZ property of Rectangle. More...
virtual void | setRectangleTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)=0
| Set the Transform property of Rectangle. More...
virtual void | setRectangleWidth (double width, index_type ROIIndex, index_type shapeIndex)=0
| Set the Width property of Rectangle. More...
virtual void | setRectangleX (double x, index_type ROIIndex, index_type shapeIndex)=0
| Set the X property of Rectangle. More...
virtual void | setRectangleY (double y, index_type ROIIndex, index_type shapeIndex)=0
| Set the Y property of Rectangle. More...
virtual void | setRightsRightsHeld (const std::string &rightsHeld)=0
| Set the RightsHeld property of Rights. More...
virtual void | setRightsRightsHolder (const std::string &rightsHolder)=0
| Set the RightsHolder property of Rights. More...
virtual void | setScreenAnnotationRef (const std::string &annotation, index_type screenIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Screen. More...
virtual void | setScreenDescription (const std::string &description, index_type screenIndex)=0
| Set the Description property of Screen. More...
virtual void | setScreenID (const std::string &id, index_type screenIndex)=0
| Set the ID property of Screen. More...
virtual void | setScreenName (const std::string &name, index_type screenIndex)=0
| Set the Name property of Screen. More...
virtual void | setScreenPlateRef (const std::string &plate, index_type screenIndex, index_type plateRefIndex=0)=0
| Set the PlateRef property of Screen. More...
virtual void | setScreenProtocolDescription (const std::string &protocolDescription, index_type screenIndex)=0
| Set the ProtocolDescription property of Screen. More...
virtual void | setScreenProtocolIdentifier (const std::string &protocolIdentifier, index_type screenIndex)=0
| Set the ProtocolIdentifier property of Screen. More...
virtual void | setScreenReagentSetDescription (const std::string &reagentSetDescription, index_type screenIndex)=0
| Set the ReagentSetDescription property of Screen. More...
virtual void | setScreenReagentSetIdentifier (const std::string &reagentSetIdentifier, index_type screenIndex)=0
| Set the ReagentSetIdentifier property of Screen. More...
virtual void | setScreenType (const std::string &type, index_type screenIndex)=0
| Set the Type property of Screen. More...
virtual void | setStageLabelName (const std::string &name, index_type imageIndex)=0
| Set the Name property of StageLabel. More...
virtual void | setStageLabelX (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > x, index_type imageIndex)=0
| Set the X property of StageLabel. More...
virtual void | setStageLabelY (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > y, index_type imageIndex)=0
| Set the Y property of StageLabel. More...
virtual void | setStageLabelZ (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > z, index_type imageIndex)=0
| Set the Z property of StageLabel. More...
virtual void | setTagAnnotationAnnotationRef (const std::string &annotation, index_type tagAnnotationIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of TagAnnotation. More...
virtual void | setTagAnnotationAnnotator (const std::string &annotator, index_type tagAnnotationIndex)=0
| Set the Annotator property of TagAnnotation. More...
virtual void | setTagAnnotationDescription (const std::string &description, index_type tagAnnotationIndex)=0
| Set the Description property of TagAnnotation. More...
virtual void | setTagAnnotationID (const std::string &id, index_type tagAnnotationIndex)=0
| Set the ID property of TagAnnotation. More...
virtual void | setTagAnnotationNamespace (const std::string &namespace_, index_type tagAnnotationIndex)=0
| Set the Namespace property of TagAnnotation. More...
virtual void | setTagAnnotationValue (const std::string &value, index_type tagAnnotationIndex)=0
| Set the Value property of TagAnnotation. More...
virtual void | setTermAnnotationAnnotationRef (const std::string &annotation, index_type termAnnotationIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of TermAnnotation. More...
virtual void | setTermAnnotationAnnotator (const std::string &annotator, index_type termAnnotationIndex)=0
| Set the Annotator property of TermAnnotation. More...
virtual void | setTermAnnotationDescription (const std::string &description, index_type termAnnotationIndex)=0
| Set the Description property of TermAnnotation. More...
virtual void | setTermAnnotationID (const std::string &id, index_type termAnnotationIndex)=0
| Set the ID property of TermAnnotation. More...
virtual void | setTermAnnotationNamespace (const std::string &namespace_, index_type termAnnotationIndex)=0
| Set the Namespace property of TermAnnotation. More...
virtual void | setTermAnnotationValue (const std::string &value, index_type termAnnotationIndex)=0
| Set the Value property of TermAnnotation. More...
virtual void | setTiffDataFirstC (ome::xml::model::primitives::NonNegativeInteger firstC, index_type imageIndex, index_type tiffDataIndex)=0
| Set the FirstC property of TiffData. More...
virtual void | setTiffDataFirstT (ome::xml::model::primitives::NonNegativeInteger firstT, index_type imageIndex, index_type tiffDataIndex)=0
| Set the FirstT property of TiffData. More...
virtual void | setTiffDataFirstZ (ome::xml::model::primitives::NonNegativeInteger firstZ, index_type imageIndex, index_type tiffDataIndex)=0
| Set the FirstZ property of TiffData. More...
virtual void | setTiffDataIFD (ome::xml::model::primitives::NonNegativeInteger ifd, index_type imageIndex, index_type tiffDataIndex)=0
| Set the IFD property of TiffData. More...
virtual void | setTiffDataPlaneCount (ome::xml::model::primitives::NonNegativeInteger planeCount, index_type imageIndex, index_type tiffDataIndex)=0
| Set the PlaneCount property of TiffData. More...
virtual void | setTimestampAnnotationAnnotationRef (const std::string &annotation, index_type timestampAnnotationIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of TimestampAnnotation. More...
virtual void | setTimestampAnnotationAnnotator (const std::string &annotator, index_type timestampAnnotationIndex)=0
| Set the Annotator property of TimestampAnnotation. More...
virtual void | setTimestampAnnotationDescription (const std::string &description, index_type timestampAnnotationIndex)=0
| Set the Description property of TimestampAnnotation. More...
virtual void | setTimestampAnnotationID (const std::string &id, index_type timestampAnnotationIndex)=0
| Set the ID property of TimestampAnnotation. More...
virtual void | setTimestampAnnotationNamespace (const std::string &namespace_, index_type timestampAnnotationIndex)=0
| Set the Namespace property of TimestampAnnotation. More...
virtual void | setTimestampAnnotationValue (ome::xml::model::primitives::Timestamp value, index_type timestampAnnotationIndex)=0
| Set the Value property of TimestampAnnotation. More...
virtual void | setTransmittanceRangeCutIn (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > cutIn, index_type instrumentIndex, index_type filterIndex)=0
| Set the CutIn property of TransmittanceRange. More...
virtual void | setTransmittanceRangeCutInTolerance (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeFloat > cutInTolerance, index_type instrumentIndex, index_type filterIndex)=0
| Set the CutInTolerance property of TransmittanceRange. More...
virtual void | setTransmittanceRangeCutOut (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > cutOut, index_type instrumentIndex, index_type filterIndex)=0
| Set the CutOut property of TransmittanceRange. More...
virtual void | setTransmittanceRangeCutOutTolerance (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeFloat > cutOutTolerance, index_type instrumentIndex, index_type filterIndex)=0
| Set the CutOutTolerance property of TransmittanceRange. More...
virtual void | setTransmittanceRangeTransmittance (ome::xml::model::primitives::PercentFraction transmittance, index_type instrumentIndex, index_type filterIndex)=0
| Set the Transmittance property of TransmittanceRange. More...
virtual void | setUUIDValue (std::string value, index_type imageIndex, index_type tiffDataIndex)=0
| Set the text value of UUID. More...
virtual void | setUUIDFileName (const std::string &fileName, index_type imageIndex, index_type tiffDataIndex)=0
| Set the FileName property of UUID. More...
virtual void | setWellAnnotationRef (const std::string &annotation, index_type plateIndex, index_type wellIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of Well. More...
virtual void | setWellColor (ome::xml::model::primitives::Color color, index_type plateIndex, index_type wellIndex)=0
| Set the Color property of Well. More...
virtual void | setWellColumn (ome::xml::model::primitives::NonNegativeInteger column, index_type plateIndex, index_type wellIndex)=0
| Set the Column property of Well. More...
virtual void | setWellExternalDescription (const std::string &externalDescription, index_type plateIndex, index_type wellIndex)=0
| Set the ExternalDescription property of Well. More...
virtual void | setWellExternalIdentifier (const std::string &externalIdentifier, index_type plateIndex, index_type wellIndex)=0
| Set the ExternalIdentifier property of Well. More...
virtual void | setWellID (const std::string &id, index_type plateIndex, index_type wellIndex)=0
| Set the ID property of Well. More...
virtual void | setWellReagentRef (const std::string &reagent, index_type plateIndex, index_type wellIndex)=0
| Set the ReagentRef property of Well. More...
virtual void | setWellRow (ome::xml::model::primitives::NonNegativeInteger row, index_type plateIndex, index_type wellIndex)=0
| Set the Row property of Well. More...
virtual void | setWellType (const std::string &type, index_type plateIndex, index_type wellIndex)=0
| Set the Type property of Well. More...
virtual void | setWellSampleID (const std::string &id, index_type plateIndex, index_type wellIndex, index_type wellSampleIndex)=0
| Set the ID property of WellSample. More...
virtual void | setWellSampleImageRef (const std::string &image, index_type plateIndex, index_type wellIndex, index_type wellSampleIndex)=0
| Set the ImageRef property of WellSample. More...
virtual void | setWellSampleIndex (ome::xml::model::primitives::NonNegativeInteger index, index_type plateIndex, index_type wellIndex, index_type wellSampleIndex)=0
| Set the Index property of WellSample. More...
virtual void | setWellSamplePositionX (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > positionX, index_type plateIndex, index_type wellIndex, index_type wellSampleIndex)=0
| Set the PositionX property of WellSample. More...
virtual void | setWellSamplePositionY (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > positionY, index_type plateIndex, index_type wellIndex, index_type wellSampleIndex)=0
| Set the PositionY property of WellSample. More...
virtual void | setWellSampleTimepoint (ome::xml::model::primitives::Timestamp timepoint, index_type plateIndex, index_type wellIndex, index_type wellSampleIndex)=0
| Set the Timepoint property of WellSample. More...
virtual void | setXMLAnnotationAnnotationRef (const std::string &annotation, index_type XMLAnnotationIndex, index_type annotationRefIndex=0)=0
| Set the AnnotationRef property of XMLAnnotation. More...
virtual void | setXMLAnnotationAnnotator (const std::string &annotator, index_type XMLAnnotationIndex)=0
| Set the Annotator property of XMLAnnotation. More...
virtual void | setXMLAnnotationDescription (const std::string &description, index_type XMLAnnotationIndex)=0
| Set the Description property of XMLAnnotation. More...
virtual void | setXMLAnnotationID (const std::string &id, index_type XMLAnnotationIndex)=0
| Set the ID property of XMLAnnotation. More...
virtual void | setXMLAnnotationNamespace (const std::string &namespace_, index_type XMLAnnotationIndex)=0
| Set the Namespace property of XMLAnnotation. More...
virtual void | setXMLAnnotationValue (const std::string &value, index_type XMLAnnotationIndex)=0
| Set the Value property of XMLAnnotation. More...

## Protected Member Functions
| Metadata ()
| Constructor.
Protected Member Functions inherited from ome::xml::meta::MetadataRetrieve
| MetadataRetrieve ()
| Constructor.
Protected Member Functions inherited from ome::xml::meta::BaseMetadata
| BaseMetadata ()
| Constructor.
Protected Member Functions inherited from ome::xml::meta::MetadataStore
| MetadataStore ()
| Constructor.

## Private Member Functions
| Metadata (const Metadata &)
| Copy constructor (deleted).
Metadata & | operator= (const Metadata &)
| Assignment operator (deleted).

## Additional Inherited Members
Public Types inherited from ome::xml::meta::BaseMetadata
typedef std::size_t | index_type
| Index into an array.
typedef std::vector< uint8_t > | byte_array
| An array of bytes for binary image data.

## Detailed Description

Abstract class for metadata storage and retrieval.

This class provides no functionality; it simply derives from both the MetadataRetrieve and MetadataStore interfaces for use by stores which provide both interfaces.

The documentation for this class was generated from the following file:

- ome/xml/meta/Metadata.h